commit 6f791b702d50f1e75fdbda0441b111468181572f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 1 23:10:54 2015 +0200

    configure.ac: Bump package version to 0.3.1.

commit a7ad75778a07c52c1a6e8311692d51c8f1c8fd7f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 1 23:11:25 2015 +0200

    configure.ac: Bump libtool/library version from 2:0:0 to 2:1:0.
    
    The libtool current:revision:age numbers change from 2:0:0 to 2:1:0.
    
    Details:
    http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
    
    This changes the library filename (e.g. on Linux) from
    libsigrokdecode.so.2.0.0 to libsigrokdecode.so.2.0.1, the SONAME
    (+symlink) stays at libsigrokdecode.so.2, though.

commit 55f589d4e8d4be36af5bae20705ca4b2f4e93f79
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 12 22:33:58 2015 +0200

    Doxyfile: Set version to 0.3.1.

commit 80d04afc3e7f2c5607a50e11d1f6ed4c00173fb0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 1 19:31:03 2015 +0200

    NEWS: Add list of user-visible changes so far.

commit c9cab77330c04d2d68aa341185d77485a17659d4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 12 19:14:49 2015 +0200

    Backport current PDs from git mainline.

commit a5bc1dba32b3b180ce1ec9d936aff761810a0997
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Apr 3 22:50:41 2015 +0200

    Makefile.am: Use libtool's -no-undefined option.

commit 7d3432ed3378306f0a5f42d70f588dec4c9c6426
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 24 20:46:18 2015 +0100

    README: Update build requirements list.

commit a384e1f36951b681c7de22439368e1d463b32234
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 11 00:45:08 2014 +0200

    Fix out-of-tree build of the unit tests.

commit c719b3a2b6fc8dfead68b5272667270e026883e1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 12 17:31:48 2015 +0200

    PD tests moved into the sigrok-test repo.
    
    Drop them from the libsigrokdecode repository.

commit 35e92b7bc6f40232144a7e6c9875ef02dbc6faa5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 23 00:00:33 2014 +0200

    Drop references to obsolete sigrok-commits mailing list.

commit 25f2bfa3befe39906b5d271b7ac406572f1f3ca2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 20 11:31:27 2014 +0200

    Fix incorrect doxygen comment for srd_decoder_list().
    
    This fixes bug #378.

commit 430c4ea018abb0891263550deca1d706cebf681d
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Mon Jul 7 01:36:22 2014 +0200

    srd_decoder_load_all_path: Support zipimport paths
    
    srd_decoder_load() works perfectly with decoders stored inside zip files.
    However, srd_decoder_load_all{_path,}() did not, because it assumed that
    normal directory listings can be used to enumerate decoders, which is not
    the case for zipped decoders.  Fix this by providing a fallback based on
    the zipimporter Python class.

commit 76a83a335197b54fe9974ba0acc0e333ab57111f
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Sat Jun 14 01:54:11 2014 -0400

    do not add check to common cflags/libs
    
    Only the unittests use these flags, so don't go linking them in for
    the main library too.

commit cb87b881d0c0db3759f68e183ea8ac9a89bd84eb
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Sat Jun 14 01:54:10 2014 -0400

    fix test operator
    
    The == operator is not in POSIX.

commit 8bf799740d405431cd1b53aae6092fc5479c7537
Author: Abhishek Kumar <abhishek@theembeddedkitchen.net>
Date:   Fri May 9 06:05:00 2014 +0700

    Add python as a pkg-config dependency
    
    The current libsigrokdecode build passes the python
    CPPFLAGS and LDFLAGS directly into libsigrokdecode.pc.in.
    This leads to issues while cross-compiling as while using
    PKG_CONFIG_SYSROOT_DIR, there is a chance of the prefix
    being duplicated. We now, while detecting the installation
    of python (cross or normal), add a dependency for the
    module name in the pkgconfig file (from configure.ac).

commit 788b2c6183554d8d985c2ab59cd1d5d3575009dd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 6 23:08:09 2014 +0200

    Doxyfile: Set version to 0.3.0.

commit 95e2b2f92b144e1b0edf29819a8585dbbc00f169
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 6 23:05:28 2014 +0200

    configure.ac: Bump package version to 0.3.0.

commit 60bc3a86d321ed10ec8dd1bb997b680a43cdd3ef
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 6 23:03:10 2014 +0200

    configure.ac: Bump libtool/library version from 1:0:0 to 2:0:0.
    
    The libtool current:revision:age numbers change from 1:0:0 to 2:0:0.
    
    Details:
    http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
    
    This changes the library filename (e.g. on Linux) from
    libsigrokdecode.so.1.0.0 to libsigrokdecode.so.2.0.0, the SONAME (+symlink)
    becomes libsigrokdecode.so.2.

commit 92682a9977259f32054e839aa4a76028fec9ecda
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 6 23:06:57 2014 +0200

    Bump libsigrok (optional) dependency to 0.3.0.

commit 91fe57918dc2c030ab5e68e861ecd2f4abe92f20
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 6 09:00:00 2014 +0200

    NEWS: Add list of user-visible changes so far.

commit e559d5da6717ff9e956ac7ad58fdb51ca774840d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 15 18:30:28 2014 +0200

    Makefile.am: Add HACKING to the tarball.

commit 5c0c9cb3a78be20d98f81cff1405bbf2c927384e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 23:46:21 2014 +0200

    Only load and use PDs of API version 2.
    
    Decoders that implement any other PD API version are per definition not
    compatible and cannot work with this library version.

commit 5dec4b91cb72c49453134fb3ba5c9930895825f2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 22:29:18 2014 +0200

    README: Document python3-coverage requirement for tests.

commit 1c0dbcc95b2e8e9a20279f0dab0eecd115be5484
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 22:17:03 2014 +0200

    Fix 'make install' on OSes where 'python3' doesn't exist.
    
    Sometimes the Python 3 executable is called just 'python3', sometimes
    it is called 'python3.4' and so on. Handle all cases transparently for
    the user.
    
    Before:
    
      $ make install
      /usr/bin/env: python3: No such file or directory
    
    After:
    
      $ make install
      python3.4 ./tools/install-decoders -i ./decoders -o [...]
      Installing 36 protocol decoders:
      [...]

commit 0672779d5e3e128ef3f7ec932772ff6d65fcbc50
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 21:59:57 2014 +0200

    HACKING: Update to current conventions.
    
    (mostly copied from libsigrok, which normally has the same conventions)

commit 23a29d24b01a68acb11be55abfcbe8d3fb0cdeb2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 21:00:24 2014 +0200

    Mark some variables more consistently as SRD_PRIV.

commit aa6506b86e43d332f839ac1d6e0361ef36e9de75
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 20:56:32 2014 +0200

    log.c: Avoid using the same name for a variable and enum.

commit c57d10136f77a9011c1179d584dca68fecb12b09
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 20:25:17 2014 +0200

    Update a few Doxygen @since tags.

commit af9527d1776668699a4c1244a419902af47f8493
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 19:54:02 2014 +0200

    libsigrokdecode.h: Give type names to all enumerations.
    
    This matches the libsigrok conventions, and will be required (or
    at least nice to have) for libsigrokdecode language bindings later.

commit 64b354d6823a0b19333ee65e073e5d8169a44027
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 4 00:08:15 2014 +0200

    tools/install-decoders: Minor consistency fix.

commit f6527cc4f7625eb5283eee5392312ad5df70e0f3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 23:56:50 2014 +0200

    Move srd_check_init() to decoder.c and make it static.
    
    The function srd_check_init() is only used in decoder.c.

commit 2060510aaafcc7eb27fac071334b4f8aa1f3cab2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 23:52:54 2014 +0200

    Make 'pd_list' static, it's only used in one file.

commit 17475b09ef9504f91a28b0873b53cec329513077
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 23:45:55 2014 +0200

    Make the srd_Decoder type private.
    
    It's not public API and is not used (nor should it be used) by any frontends.

commit e9c1a90c311a65e5b1576a63078d854771a9c83b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 23:41:04 2014 +0200

    srd.c: Fix typo to avoid Doxygen output for srd_check_init().

commit fb8e307d0dc7e53d051e1c9fe18ebd56f1b13ab3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 23:40:54 2014 +0200

    Doxygen: Don't parse anything in tests/ or doxy/.
    
    None of that is API-relevant.

commit 5f079f4e914171fb3a627e0a63c4f4cb589e4115
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 23:17:02 2014 +0200

    doxygen: Updated Doxyfile to doxygen 1.8.6.

commit 2372b1998ae5d252433d7a7a07744ba2ea81b96e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 22:45:50 2014 +0200

    Don't define names ending with _t (POSIX reserved).
    
    Avoid defining any names ending in _t, those are generally reserved
    for POSIX usage. For details see:
    
    http://pubs.opengroup.org/onlinepubs/007904975/functions/xsh_chap02_02.html
    http://www.gnu.org/software/libc/manual/html_node/Reserved-Names.html

commit 5cdc02d4a6947966135aada5f3dcaccfd3e94413
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 22:36:55 2014 +0200

    edid: s/annotation type/annotation class/.

commit e94fdd576d250652891f3ca5be61e2eb80b152cc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 3 22:35:32 2014 +0200

    tests/check_session.c: Use UINT64_MAX.

commit dea61db0817432886e830b4916c375a88256ba07
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Apr 24 14:12:49 2014 +0200

    Detect Python 3.4 if not installed as "python3".

commit f714f8f836b7cd20f9a5a41dc21bcc8584c87c3b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 15 08:44:51 2014 +0200

    instance.c: s/probe/channel/.

commit bf69977d12886794ac597083403859ac99ab38ac
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 15 08:43:22 2014 +0200

    All PDs: More consistent OUTPUT_PYTHON format docs.

commit ce71bf0e29e9c3890eb74725ceb963ff35a29639
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Apr 14 23:50:45 2014 +0200

    sdcard_spi: Avoid duplicate keys in a Python dict.
    
    This fixes bug #191.

commit 12851357e784b893e24880efc6cd22a0cbcc64ce
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Apr 14 22:14:39 2014 +0200

    All PDs: Bump api_version to 2.
    
    Older libsigrokdecode versions are no longer able to use the current
    versions of the PDs (various changes in syntax etc).

commit c761524941fcb2237ceb65082e504e5e48e62a05
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Apr 14 23:09:43 2014 +0200

    All PDs: Drop some unneeded comments.

commit 803cf705914644e5d6bc63e262004be1da8bea9d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 5 18:25:22 2014 +0100

    nunchuk: Fix PD to become usable in GUIs.
    
     - Provide proper annotation classes and annotation rows.
     - Emit bit-exact annotations for some registers.
     - Output short and long annotations (for use when zooming).
     - Various minor fixes.
    
    This fixes bug #344.

commit 170d0e246f6b51900856bf1f89089162cd7ca2c2
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Apr 15 00:46:45 2014 +0200

    debug: Log unitsize when configuring channel map.

commit 3195dc80c72c62a0f07816882f3b2a169986cf66
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 13 21:59:02 2014 +0200

    .gitignore: Add test-suite.log.

commit 6a15597a7b3f901b566b7bfc8c484a14e0fb6a11
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 13 19:57:43 2014 +0200

    Rename 'probe' to 'channel' everywhere.
    
    Variables of type 'struct srd_channel *' are consistently named 'pdch' to
    make them easily distinguishable from libsigrok's 'struct sr_channel *'
    variables that are consistently named 'ch'.

commit 486858f7208207fb12a281640c5f6e9be4e4626f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 13 19:56:09 2014 +0200

    z80: Fix incorrect license field.

commit 20e950feb2fea1c6c106ced44e1fef3cf6d882ef
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Apr 9 21:06:27 2014 +0200

    Switch to a non-recursive automake setup.
    
    (fewer files, less clutter)

commit a0a9afd940fe8f447665b369328f270f5ba10cb9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Apr 9 21:02:16 2014 +0200

    README: Update build dependencies list.

commit a5077804d65c3b699a9dbce76ac77d6a7db81133
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 5 13:00:59 2014 +0200

    configure.ac: Clearly mark required and optional libs.
    
    Also, drop printing of the detected Python CPPFLAGS/LDFLAGS, not really
    needed since it's available in 'make V=1' output as well (and we don't print
    it for other libs either).

commit 1ced2b013412336a9d9ac77aded7078b4eef3780
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Mar 20 16:42:18 2014 +0100

    Bump minimum Python version to 3.2
    
    We use some functions specific to 3.1, but every distribution appears
    to be at 3.2.x already anyway.

commit 2160cddd3b39903b3102976e1a8d324a15412c58
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Mar 20 17:02:56 2014 +0100

    pdtest: Add support for code coverage.

commit 7023cb9faa3d212b2ba6a0c2f59f93ced0afa547
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Mar 18 12:13:38 2014 +0100

    runtc: Add list of missed lines to coverage output.

commit fa62a8f9841955980a5a46e9aaedb62839e098dc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 18 20:39:09 2014 +0100

    usb_packet: Fix an incorrect index.

commit 7a23306705864b1cc96bbbee57d47e6f87f7767b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 18 20:21:48 2014 +0100

    usb_packet: Provide better short/long annotations.

commit 85c03d6009c4939786925d9c9f8880f34f1b7eb7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 18 20:15:03 2014 +0100

    usb_signalling: Make each symbol an annotation class.

commit b413721ccb254e99cf8b8991bb1adf2fb26b53a6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 18 20:04:10 2014 +0100

    usb_signalling: Provide better short/long annotations.

commit 5bc679c6b0367558b7ce94cfa6cd45b483ad98c9
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Mar 17 11:24:32 2014 +0100

    Add support for code coverage of used decoder modules.

commit c35fcb590e8c464b528b6949b9aafb1ced52c4dd
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Mar 14 01:01:03 2014 +0100

    Bring various test output files up to date.

commit ea1fc7b1a9d857c7ad147c1b81c6e4b3aa1cd3b6
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Mar 14 01:00:25 2014 +0100

    pdtest: Small fix.

commit b0918d40e285e7782f4e86356c41648dc748e477
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 12 00:51:06 2014 +0100

    Various PDs: Minor option related fixes.

commit 4e4f8527de0927f2eb1d98e90b58e018ba28d341
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 12 00:22:31 2014 +0100

    Various PDs: Drop currently unsupported probes in stacked PDs.
    
    At the moment we don't yet support PDs which take both input from
    another PD (which they're stacked on top of) and from one or more
    logic inputs/pins.
    
    This will be supported later on, and at that time we'll bring back
    these changes.

commit 3a851e5c7ba119cea6e8604a3f3e7ac27c80f536
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 12 00:17:46 2014 +0100

    can: Make sample_point a float option.
    
    This allows users to set values like 70.5% or such.

commit 65f6eb77a33e6e7185376b1d9b8f3f0c62273d27
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Mar 11 23:27:31 2014 +0100

    Fix enumeration of option values.

commit 24a3d8d0b9b1c0d543e408261aa85e31032b90d8
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Tue Mar 11 22:58:24 2014 +0100

    Fixed g_variant_get_double copy-paste error

commit bee57ee84753471970f9b65b34e71c54a0558768
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Mar 10 15:44:24 2014 +0100

    ir_nec: Update to recent PD API changes.

commit 12fecc8ffc48a92ce1678aa9b4988f85bebe21a9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 7 21:49:12 2014 +0100

    ir_nec: Add support for higher-level remote control annotations.

commit 5bb61a25d31c4c32f5109c38d7fd31c9e0d2c441
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 7 20:17:00 2014 +0100

    ir_nec: Addresses and commands are transmitted LSB-first.

commit 70835fd4d2dcf2c67e2448b73f0b7008ddf9fe29
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 7 19:30:09 2014 +0100

    ir_nec: Add support for more fields.
    
    Also show the AGC field(s) and pauses, the stop bit, and the individual
    address / address# and command / command# fields.

commit 73fc79e094855b616fb6d6e392a87338ffe37a6b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 7 17:24:21 2014 +0100

    ir_nec: Drop some unneeded options.
    
    The timing of the protocol is not really configurable, valid data in
    this protocol must always adhere to the same timing parameters, making them
    configurable should not be needed.
    
    Also: Only check for the "interesting" edges and simplify the code a bit.

commit 00962e763e610d8535dd9df1ac97377b3fb727a7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 7 14:55:54 2014 +0100

    Rename 'ir_nec6122' PD to 'ir_nec', minor fixes and simplifications.
    
    This IR protocol is commonly referred to as "the NEC protocol", and can be
    generated by various means (not only via the NEC µPD6121/µPD6122 ICs).
    
    Drop some unneeded variables and fix/simplify the code a bit.

commit 5e6fa9cc6c1ac53de29350722f86e7524cc53442
Author: Gump Yang <gump.yang@gmail.com>
Date:   Fri Mar 7 14:53:50 2014 +0100

    Add NEC IR protocol decoder.

commit da9bcbd9f45b0153465c55ec726a0d76f6d7f01e
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Mar 10 12:23:38 2014 +0100

    Probes, optional probes and annotations now take a tuple.
    
    Annotation entries also consist of a tuple, not a list.

commit d1e2129c7b01a760d48bcc8e7fc12956a62698c1
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Mar 10 10:35:41 2014 +0100

    ir_rc5: Change PD options to be a tuple of dictionaries.

commit 780770f1295b7fdeb4481eb42623bad5da1e19a7
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Mar 10 00:43:27 2014 +0100

    Remove unused probes and options

commit 84c1c0b52820af2418186ac3ecf93a5c6373a22e
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Mar 9 23:48:27 2014 +0100

    Change PD options to be a tuple of dictionaries.
    
    Each option consists of a dictionary with the following keys:
    
      id      The option id, which is passed in when setting a value.
      desc    A description of the option, suitable for display.
      def     The default value for this option.
      values  (optional) If present, a tuple containing values the option
              may take. They must be of the same type as the default.
    
    Valid types for the options are UTF-8-encoded strings, integers, and
    floating point values.

commit cfe46204d1c91f02d0e2c6679a2d15ff92bb90c8
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Tue Mar 4 18:40:24 2014 +0000

    onewire_link: Replaced us with µs

commit cbbccbf4faeffcd2607266fa396d801981ffcaa4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 5 23:44:54 2014 +0100

    ir_rc5: Fix incorrect bit length of RC-5 packets.
    
    All RC-5 packets are 14 bits long.

commit 16211e24f7a34590f02e9f8a327b1eb3647c7c62
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 5 23:44:14 2014 +0100

    ir_rc5: Don't throw exception upon invalid edge distances.
    
    Instead, reset the state machine and continue with the rest of the data.

commit 92d992d2e50a1996fa2f436f5217b5a9fb3b7e62
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 5 23:34:50 2014 +0100

    ir_rc5: Only determine edge type once.

commit 914f0b99d1f07c351742eaa5c8e397d601996846
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Feb 6 19:49:06 2014 +0100

    Add initial RC-5 IR protocol decoder.

commit 697967f246f368de3a1778b3bead87ac7a50bfdd
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sun Mar 2 11:10:40 2014 +0100

    z80: Use methods directly as state values.

commit 3831aa891c7a9822a376023419a1fea1a698463c
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Feb 28 21:10:53 2014 +0100

    z80: Display not-taken conditional calls correctly.

commit 739f9313539c559949748d918e59865496ad8f6e
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Feb 28 21:03:23 2014 +0100

    z80: Fix display of read/modify/write instructions.

commit e029ab1f6ff7fc8e06a4869417a875136318515f
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Feb 28 19:48:33 2014 +0100

    z80: Shorten annotation ID 'warning' to 'warn'.

commit 8830db5df55241e1ea775a70671ecb11235cf3c1
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Thu Feb 27 22:07:58 2014 +0100

    z80: Output jump offsets relative to instruction start.
    
    Most assemblers recognize the symbol $ for the address of the
    current instruction. Make use of this to output relative jump
    instructions using the $[+-]offset syntax, with offset being
    the displacement minus the instruction length.

commit aef3c1095e966212fd9a9b02cb08a0ff50e13a7b
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Thu Feb 27 21:31:10 2014 +0100

    z80: Format hex numbers with leading zero if necessary.
    
    Assembler syntax requires that all numbers start with a decimal
    digit. Introduce a custom 'H' format for prefixing a leading 0
    to hexadecimal numbers that would otherwise start with a letter.

commit 31737ae022b6356eea8da9792e966b3e1d10f1c8
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Mon Feb 24 00:03:20 2014 +0100

    z80: Use list comprehensions for bus probes.

commit 26abbf3762e19d89ab578905aaba24e8764d1696
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Tue Feb 18 22:03:45 2014 +0100

    z80: New decoder for disassembling Z80 CPU instructions.

commit 9eec72cb2bf132600db3330f49dace3bdf74080a
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Thu Feb 20 06:24:23 2014 +0100

    Make the data unit size configurable

commit 4aedd5b887ef7e34bc00c0ef76dc91ea2c443583
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 12 22:55:37 2014 +0100

    uart: Emit per-bit annotations and OUTPUT_PYTHON data.

commit 5e5002be5bb69ed47317cf70053bf5da2598044d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 19:13:51 2014 +0100

    xfp: Drop unused "import os".

commit 246654246821fcde172c97399e6e8175708e60b5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 19:12:56 2014 +0100

    jtag: Use list comprehensions.

commit 3c8031b3f543f82a4a357b4987e0ae6273facfcf
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 19:00:36 2014 +0100

    sdcard_spi: Use list comprehensions.

commit ae33d639670cd4ca6bfe683c4284dd55377e5f21
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 18:58:09 2014 +0100

    rtc8564: Use list comprehensions.

commit e85b0440b9b50b8eac7f1b04d0108cbb77bcdb02
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 23 18:30:01 2014 +0100

    rgb_led_spi: Shorten name/description (drop "mode").
    
    In the 'sdcard_spi' PD/case the SD spec specifically differentiates between
    a so-called "SPI mode" and "SD mode" (both being well-defined terms from
    the spec), thus the "SPI mode" in the name and description of that PD.
    
    For 'rgb_led_spi' however there's no such distinction for "modes"
    really, so shorten the name/description to just 'RGB LED (SPI)'.

commit 7c09dbb2adb240e013d373da8dccb56efd22380e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 15:17:52 2014 +0100

    spi: Fix some start/end samplenumbers for PYTHON output.
    
    This fixes the data/annotations of stacked PDs.

commit 8e8096e8289d8c5a5adf75109e481fe734e629f8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 15:11:24 2014 +0100

    spi: Fix a bug when only supplying MOSI (but not MISO).

commit ae036d3403ad9e301d41a68869ded51a54127bfe
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 15:09:22 2014 +0100

    rgb_led: Rename PD to rgb_led_spi.
    
    There are a number of other RGB LED protocols (simple or more advanced
    ones, and various ones not based on SPI), so use a more distinguishable
    name for this PD.

commit 83d792a4c201c081070f2fdf638e485c5b8a52a0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 15:08:34 2014 +0100

    rgb_led: Fix annotation end sample numbers.

commit 8967e839a3df6aa8766f57e521c81edd3a12be4d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 19 15:07:39 2014 +0100

    rgb_led: Minor cosmetics, whitespace.

commit 2c1732728b130a71105cd9deaf36c9213ef44a82
Author: Matt Ranostay <mranostay@gmail.com>
Date:   Mon Feb 17 22:08:41 2014 -0800

    Initial RGB LED decoder
    
    Signed-off-by: Matt Ranostay <mranostay@gmail.com>

commit eafe8f08a1cb46e411dcd358f0d748f7d1aa47aa
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 9 19:26:59 2014 +0100

    usb_packet: s/NACK/NAK/.
    
    The USB spec spells this as "NAK".

commit a87d7847818a2b6389d9a8cbc9ba690ed8b49317
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 5 17:31:36 2014 +0100

    usb_packet: Use annotation classes and annotation rows.

commit c82620fc0b10c9541b8a92bd3ea3dd4bdf982390
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 5 00:44:52 2014 +0100

    sdcard_spi: Adapt for MSB-first bits from spi PD.

commit d78e0beb6594de5dfd2a17d72f532a42f85ca55c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 5 00:44:27 2014 +0100

    spi: Use/store bits in MSB-first order.
    
    This makes things a bit easier/clearer for most stacked PDs.

commit bb08f4b3608b7ed4c932ed2041b1f41a5c9a7fed
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Feb 4 22:47:43 2014 +0100

    spi: Fix warnings about CS# being de-asserted.

commit bff3a0a0031a32e19c1170e5a387197d879944ff
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Feb 4 17:07:08 2014 +0100

    rtc8564: Improve short annotations.

commit 09d09aceed72c7ca28023862c9049372dfef8d1d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 22:33:37 2014 +0100

    rtc8564: Provide per-bit annotations.

commit de038c4710b3ed11bd7a745ae86ecaf0a63a300d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 21:53:46 2014 +0100

    i2c: Emit per-bit annotations/packets and define annotation rows.

commit 9ed420384f97966e20e9c25ca6e99d7c903caf1b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 22:51:56 2014 +0100

    mx25lxx05d: Define annotation rows.

commit 9389f2c1b9b74e00d1369e846d4417bf644275d0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 22:43:01 2014 +0100

    mx25lxx05d: Use proper annotation classes.

commit 38ab4ed09ad08d12eb34b0e24765790b34d90cc7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 16:31:08 2014 +0100

    avr_isp: Fix 'Device' annotation sample numbers + row.

commit 3b0013416fcfb17e8bc6cfd6850e79971f239fe0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 16:17:22 2014 +0100

    avr_isp: Define annotation rows.

commit ad30cb466b4f0c0ff448af7a34aee96f40c9c472
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 16:12:12 2014 +0100

    avr_isp: Use proper annotation classes.

commit d780f0071d3052931a953bb2dbbe6c7f20e1e638
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 12:17:23 2014 +0100

    sdcard_spi: Merge command ID/name and description into same annotation.

commit 0b5fc0742d89d72ceed0aef14a61e16d7dfa9099
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 09:35:30 2014 +0100

    sdcard_spi: Improved command handling / display.

commit 21e7a67e9a9d70aca44577d7556c1008e872d14c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 02:01:05 2014 +0100

    sdcard_spi: Fix handling of some warning annotations.

commit 041885bd28ac983501e9de2a247f3f5bb31a0c1f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 01:39:40 2014 +0100

    sdcard_spi: Fix incorrect R1 reply annotation endsample.

commit 49176fecb4ab0c7a2474d50ff98a6f105c2a638f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 01:25:16 2014 +0100

    sdcard_spi: Fix incorrect 'Command index' value access.

commit a74855de187198624fefd2c12ef8355e5a869f80
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 3 01:24:47 2014 +0100

    sdcard_spi: Use bit-exact annotations in handle_response_r1().

commit d4ad1cb483c6aa4fa2333676d9d8538b2bb32d92
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 20:05:30 2014 +0100

    sdcard_spi: Use bit-exact annotations in handle_command_token().

commit 9ed115003c754ed2af523af98d22123cee6e99d3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 21:10:23 2014 +0100

    spi: Throw an error if neither MISO nor MOSI was supplied.

commit 808c6e7496410ea473c1a625530fd15f779b542e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 21:03:47 2014 +0100

    spi: Fix incorrect dataword endsample numbers.

commit bbc100f764f523dbc63daed84be5011432685e9a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 16:40:30 2014 +0100

    spi: Refactoring and cleanups.

commit d482a2d39a9677a8c1ea91b945a2496b44caf642
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 15:54:15 2014 +0100

    spi: Factor out reset_decoder_state().

commit cddd11bc7911af991fcd7f9a4232c700fded9c17
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 15:27:10 2014 +0100

    spi: Output per-bit annotations and OUTPUT_PYTHON data.
    
    This can be used by higher-level PDs to decode per-bit items (not just
    based on whole datawords).

commit 86f685145345cabef1373a1242016b769ff199b4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 14:24:29 2014 +0100

    sdcard_spi: Define annotation rows.
    
    This fixes parts of bug #309.

commit 361c1e76a85bb14dce7b9f3e97deb9fe09416a7b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 02:35:59 2014 +0100

    sdcard_spi: Use proper annotation classes.
    
    This fixes parts of bug #309.

commit 1b3109bc83e7d540d30f5c805382339d7a9dc891
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 02:14:37 2014 +0100

    sdcard_spi: Initial fixing round for correct samplenumbers.
    
    This fixes parts of bug #309.

commit 64134a4c84459474a1f1d767314f9a9ecf928539
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 01:07:20 2014 +0100

    rtc8564: Handle century bit.

commit 6e256b1c2c19ba37b79e75b01a4ce67462ba0e1f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 00:55:48 2014 +0100

    rtc8564: Provide short/long annotations.

commit 3d1901418abc422d949dfd20c633af5c881620d7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 00:40:23 2014 +0100

    rtc8564: Handle register 0x06 (weekday).

commit 3161ab5a3569f88e6e9fadfd9d8e54f53620f104
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 2 00:20:57 2014 +0100

    rtc8564: Define annotation rows.

commit a4289441eda34163f7e38f44367c4e888eb81eb1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 23:47:03 2014 +0100

    rtc8564: Use proper annotation classes.

commit 58e7e508ded52194ed06a23a48f169779f4c7708
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 23:38:25 2014 +0100

    lpc: Define annotation rows.

commit 847e488b37fe5c85c4d1aa4930ced34c24ca5b03
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 23:14:46 2014 +0100

    Add a few missing probe-names.

commit 4e3b276aac6d42722fe8a90e8c4ea74bf59fdb37
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 18:20:45 2014 +0100

    uart: Better annotation row handling of parity errors.

commit e2ff870ec47cc01a24d037c75d16ebaccdf1ff69
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 18:11:40 2014 +0100

    guess_bitrate: start() doesn't take a metadata argument anymore.

commit b92233847c6a77dfb66ac2eaef3c2ef4ff57640c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 16:03:22 2014 +0100

    Fix more warnings exposed by -Wmissing-prototypes.

commit 066d659423912025b5b680c5bf74fca11aa72398
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 15:41:36 2014 +0100

    usb_signalling: Define annotation rows.

commit 49e8a4d6fe1ac4f5f9100cce5e01ea59305adeb4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 15:40:27 2014 +0100

    spi: Improve probe names/descriptions a bit.

commit 8e11415b6bc83e6a114223a3ece588097b0e50d9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 15:25:53 2014 +0100

    onewire_link: Define annotation rows.

commit bb5ebde6dce29b53a814efe3a1b1c350196674d9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 14:58:23 2014 +0100

    dcf77: Fix incorrect startsample for "month" field.

commit 011ed1a3b28553b9932b5acbc74c6f19ab4c1eed
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 1 14:46:52 2014 +0100

    avr_isp: Fix a bug resulting in incorrect start samples.

commit 9f6df6fe1aa837d0506b1b9bef6ee75c951a8da2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 31 14:56:17 2014 +0100

    dcf77: Define annotation rows.

commit 06b52ebb5fe7c09890dee02aa653578c2faf5a65
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 31 14:56:14 2014 +0100

    spi: Define annotation rows.

commit 2ce20a91c05f32d6b99fda089736f980cb05aeff
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 30 22:26:39 2014 +0100

    uart: Define annotation rows.
    
    Also, provide all the required annotation classes for this to work
    properly.

commit 1ce468178f581b6270e1f2862ab585e8a38aa056
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 31 16:59:22 2014 +0100

    Add support for annotation rows.
    
    An annotation row is a list of annotation classes that should all be
    displayed in the same "row" in GUIs.
    
    For example, the UART decoder would have at least two rows (for decoded
    RX and TX data/startbits/stopbits/paritybits), the SPI decoder would have
    at least two rows (for decoded MISO and MOSI data), and so on.
    
    Each annotation row has a short ID string (mostly for use in
    command-line frontends), a description string (mostly for use by GUIs),
    and a tuple/list of annotation class IDs belonging to this row.
    
    If no annotation rows are provided by the decoder, frontends can
    consider this as the "trivial" case of all annotation classes being
    displayed on the same (only) row.

commit 3dd546c15fc973b3495f0d2557333e9ef31ca7dd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 31 00:45:56 2014 +0100

    uart: Allow either RX or TX to be optional.

commit 9bf7f71c8e29328bda5689d79b412cc0dde9fbe9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 31 00:13:32 2014 +0100

    srd_inst_probe_set_all: Error out upon missing required probes.

commit c515eed7ef7a04a42b5b34abd308e08d6942835e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 30 22:37:29 2014 +0100

    s/out_proto/out_python/.
    
    The output type is now called OUTPUT_PYTHON, adapt all PDs to that.

commit 4467372a2e39bb72648eebbb96934147681110c2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 30 19:33:13 2014 +0100

    Fix warnings exposed by -Wmissing-prototypes.

commit cb73763da5d004b3f780f4395ccf19a398da60a2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 30 19:28:49 2014 +0100

    configure.ac: Add -Wmissing-prototypes.

commit 4dc2a249c9691da9981c849270267a3dc1096700
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 30 19:19:23 2014 +0100

    configure.ac: Only check for things we actually use.
    
    Drop checks where we don't use the result (yet). We might bring back
    some of those once we start actually using the result in the code.

commit 714f22fe69a79f517fb3b47567b390233987d246
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 30 19:17:40 2014 +0100

    mx25lxx05d: Add probe test case.

commit 9eace5fb7ce1c9cc736fd7a133dc413536004dee
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 30 17:54:16 2014 +0100

    uart: Add trekstor_ebr30_a test case.

commit e0a0123d2f7f1039fe52f24591dff262b4f8935c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 30 15:26:06 2014 +0100

    uart: Better fix for ASCII output.
    
    This is a temporary thing, later there'll be some facility to let
    frontends handle any annotations marked as "this is a number" (as opposed
    to "this is a string") in a generic manner and display them in any
    supported (by that frontend) format, e.g. ascii, hex, oct, decimal,
    binary, big-endian vs. little-endian, and so on.
    
    This is a fix related to #201.

commit 251d5c4f25ef1fae437c67b953221606a9109b77
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 29 18:34:10 2014 +0100

    spi: Add mx25l1605d_probe test case.

commit e693716544080a057f0299f402d5d84a38c7e1f7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 29 18:25:08 2014 +0100

    spi: Add atmega32_00 test case.

commit bcd14870c22d59f76566b0038d5884064ca7441e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 29 00:31:14 2014 +0100

    spi: Rename 'sck' to the more common 'clk'.

commit 12549f1161748215072541ed9a9c8625da041131
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 27 14:38:47 2014 +0100

    spi: Allow MISO or MOSI to be optional.
    
    This fixes bug #175.

commit 8b9179378172206e4053b2773a5ba1f8a076a1c9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 27 15:50:15 2014 +0100

    tests/pdtest: Fix -R (takes an argument).

commit c141101084198a7baecaae08509d8d2a03300c5c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 25 09:55:19 2014 +0100

    spi: Drop temporary hack for combined MISO/MOSI out.

commit 4fd46107d35d7ed471e7ca0f4ad9823d1d88cc1b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 27 15:09:08 2014 +0100

    Fix out-of-tree build.
    
    This fixes 'make install' and 'make dist' for out-of-tree builds.

commit 2de277b88e7e7ff49c5a2933da36cb28d3f79481
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 22 23:06:01 2014 +0100

    tests/runtc.c: Minor whitespace fixes.

commit 00bebae3f43a6c0c577d31c7c0b58faeb002478b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 22 23:03:02 2014 +0100

    tests/pdtest: Add missing license header.

commit cd8eb52870200196b12d6950eead62d46864cd00
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 22 23:01:52 2014 +0100

    tests/pdtest: Fix shebang line.

commit 9f2f42c064e8a7100cee13460a7a3638f468f56a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 22 22:56:08 2014 +0100

    All PDs: Consistent naming/case for annotation shortnames/IDs.

commit ef36224880135a05d2fbde8f048ea3fe3f425df9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 22 22:47:18 2014 +0100

    All PDs: Drop unneeded comments.
    
    The single comment re-stating the PD's name / description / purpose in
    each pd.py file is not really needed, that info is available in the
    Decoder class' attributes already.

commit 4c3b1846c9c307c1c35f86d259ddb968ed92718d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 22 22:43:21 2014 +0100

    All PDs: Improve/fix descriptions.

commit 37e4c724efa64dd6061f7bb83f126b81da949771
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 20 21:52:15 2014 +0100

    transitioncounter: Drop PD (obsolete).
    
    This decoder was just a simple test case for early libsigrokdecode
    development and testing, it is neither useful nor properly working
    currently, so drop it.

commit 0bb7bcf316b528acbe0ef82f4c1e310e756074bc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 20 17:43:01 2014 +0100

    uart: Add binaryout/dump support, drop obsolete 'uart_dump' PD.
    
    The functionality of the preliminary 'uart_dump' PD is now available
    in the proper 'uart' PD, via the OUTPUT_BINARY mechanism that frontends
    can use to dump decoded data (in various formats) to a file, or pipe it
    into other applications, and so on.
    
    Old sigrok-cli example usage:
    
     $ sigrok-cli -i foo.sr -P uart:rx=0:tx=1,uart_dump:filename=bootlog.txt
    
    New sigrok-cli example usage:
    
     $ sigrok-cli -i foo.sr -P uart:rx=0:tx=1 -B uart=rxtx > bootlog.txt
    
    New sigrok-cli example usage (piping into other applications):
    
     $ sigrok-cli -i foo.sr -P uart:rx=0:tx=1 -B uart=rxtx | grep "whatever"

commit e54f222c4edf55a379e5b3ad892cf671ace83e48
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 18 19:15:41 2014 +0100

    i2s: Add WAV dump support, drop obsolete 'i2s_dump' PD.
    
    The functionality of the preliminary 'i2s_dump' PD is now available
    in the proper 'i2s' PD, via the OUTPUT_BINARY mechanism that frontends
    can use to dump decoded data (in various formats) to a file, or pipe it
    into other applications, and so on.
    
    Old sigrok-cli example usage:
    
     $ sigrok-cli -i 2ch-16bit-16khz.sr \
    	-P i2s:sck=0:ws=1:sd=2,i2s_dump:filename=foo.wav
     $ aplay foo.wav
    
    New sigrok-cli example usage:
    
     $ sigrok-cli -i 2ch-16bit-16khz.sr \
    	-P i2s:sck=0:ws=1:sd=2 -B i2s=wav > foo.wav
     $ aplay foo.wav
    
    New sigrok-cli example usage (piping into other applications):
    
     $ sigrok-cli -i 2ch-16bit-16khz.sr \
    	-P i2s:sck=0:ws=1:sd=2 -B i2s=wav | aplay -

commit e8ce01860673214bae97a6b793a7f55e13128dba
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 17 17:56:26 2014 +0100

    configure.ac: Drop obsolete MinGW Python3 workaround.
    
    We just use dummy/fake python3.pc files on Windows so that the usual
    pkg-config mechanism works there as well.

commit 91c78794d872dcac55f93ecbae1e28cec1ca6bf6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 17 17:56:08 2014 +0100

    configure.ac: Check for all known Python3 pkg-config names.
    
    Even when using pkg-config not all distro/platform specific issues are
    transparent, unfortunately. On some systems the pkg-config file is
    named "python3.pc" on others it's versioned, e.g. "python-3.2.pc".
    
    See also: http://sigrok.org/wiki/Libsigrokdecode/Python
    
    This should fix the build on e.g. FreeBSD, NetBSD, Mac OS X (some
    versions), and possibly various Linux distros, e.g. Gentoo.
    
    Also, drop manual AC_MSG_ERROR() and let PKG_CHECK_MODULES() output a
    more verbose and standardized error message if Python 3 is not found.

commit 8eafa2613d2541e934a04874cd35cbc944c3168b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 13 23:26:36 2014 +0100

    parallel: Make CLK probe optional.
    
    When no CLK probe is supplied to this PD, handle any transition on
    any of the supplied data probes as if there had been a CLK transition.
    
    (based on a suggestion/patch by "bmx" from the #sigrok channel, thanks!)

commit 6af04d5a36a47b11dcf10bb629105600aa5a66eb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 3 17:41:24 2014 +0100

    Link against libm to avoid Python related linking errors.
    
    The python3-config script reported "-lm" as linker option previously,
    but we switched to using pkg-config (among other things for
    cross-compile support) which doesn't report "-lm" though (this is a
    common behaviour across multiple distros and OSes).

commit 7d54fe300d9e3375f731abcd16d637e470ef3976
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Thu Jan 2 12:43:34 2014 +0100

    configure.ac: Use pkg-config to check for python
    
    Using python-config does not work when cross-compiling, since it
    can only be run on the host system.

commit 0c0368d0fc4ba737716326b87e99d70397134d38
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Dec 28 23:17:18 2013 +0100

    jtag: Use proper annotation classes, fix GUI usage.
    
    This closes bug #156.

commit 6b32f92828b18f510a5da1f729c3694bbe9b1f42
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 13 15:39:44 2013 +0200

    jtag: Refactor and simplify some code.

commit 001974848a862a7eeab7efc81cc0b21aec56464d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Dec 28 15:15:06 2013 +0100

    Do some more I2C to I²C changes.

commit ea48f54366eec05c4675c29387e741ddeeb9d2f5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Dec 28 15:11:55 2013 +0100

    i2s: Fix typo.

commit 31f1a29687604b8da5a4a3c46a72f82fc783947b
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sat Dec 28 09:17:02 2013 +0100

    mxc6225xu: Replace I2C with I²C

commit 1db7e477b3a63a837e478dc12f7a8026dcca4ef1
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sat Dec 28 09:16:13 2013 +0100

    lm75: Replace I2C with I²C

commit f9c2aa723f5a5c0b7baca2dd5c8f9da92900fce6
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sat Dec 28 09:03:48 2013 +0100

    i2s_dump: Replace I2S with I²S

commit 270a59d81fd0d18e6dc8930829d61e0bf64f0e8d
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sat Dec 28 09:02:34 2013 +0100

    i2s: Replace I2S with I²S

commit bbe6d87fa91938bafc81c19cb1ef868d1c29bb2b
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sat Dec 28 09:01:02 2013 +0100

    i2cfiler: Replaced I2C with I²C

commit 25ac80b22a198833caa515875ab61a1e15adca18
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sat Dec 28 01:37:18 2013 +0100

    i2cdemux: Replaced I2C with I²C

commit ab4aa33c4bd3f72707c718bb0448722a5c2c9912
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sat Dec 28 01:21:26 2013 +0100

    i2c: Replaced I2C with I²C

commit 919ace16e7100fccd51fda16c6d40fc3ad9915e2
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Dec 22 23:07:23 2013 +0100

    runtc: Fix conditional build on non-Linux systems.

commit 83411834eec29f08443908b7d2a427e7fb130573
Author: Arkadiusz Miśkiewicz <arekm@maven.pl>
Date:   Wed Dec 18 16:12:34 2013 +0100

    Don't install runtc.
    
    Don't install runtc. Not meant for generic usage.
    
    Signed-off-by: Arkadiusz Miśkiewicz <arekm@maven.pl>

commit 97578cb1dfb0dcadf748b55dc4bcfa3ea2202c19
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 18 12:04:26 2013 +0100

    runtc: Output binary as ASCII timestamp/class/hex bytes instead.
    
    This allows for verifying timestamps and classes as well.

commit baeaa75dedad94558e40a888c2a56ecea2cdb702
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Dec 15 15:55:35 2013 +0100

    runtc: Make sure to compile against this library
    
    It might compile against a previously-installed one unless the linker
    finds it in the top directory first.

commit 0b2a10a37f61cc70260376d8b7c2c01ca63deaf7
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Dec 13 18:13:08 2013 +0100

    i2c: Add Python tests.

commit b7e15e0e2c1fef3a938c84d79022098f8482920a
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Dec 13 18:11:52 2013 +0100

    pdtest/runtc: Add support for Python output types.

commit 3d14e7c9ac0155c0438b46dee267e3e16a6b8e3a
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Dec 13 17:57:01 2013 +0100

    Send SRD_OUTPUT_PYTHON to registered callbacks as well.
    
    There's really only one use case for this: the testing framework. This
    allows it to check what gets sent up the stack as well.

commit c8233c78da6acb23b74afe271c30355442fdaa5c
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Dec 13 11:52:38 2013 +0100

    Prune dead code.

commit be6733ca41275b59a5e240ff104f2a16ad3828d3
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Dec 13 11:51:41 2013 +0100

    i2c: Avoid obsolete method.

commit 5ece2a0623d22421300ea6844de569ae87a07d5e
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Dec 13 11:29:59 2013 +0100

    No need to mess with method reference counts.

commit e6449805fc8d56d0d8ff4003d123437e799b242f
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Dec 12 13:30:36 2013 +0100

    i2c: Add binary tests.

commit d7d693b51692aa7aae90f3ca8caf5a8e9c581ed9
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Dec 12 13:29:37 2013 +0100

    pdtest/runtc: Add support for binary output types.

commit 98457aa731ec0e7fe5a1be9f83181354253dc566
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Dec 12 13:28:21 2013 +0100

    pdtest: Add -f option to automatically fix failing tests.

commit 6b85745afe65ebd2722921bf23e91fa4573f4302
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Dec 12 01:29:26 2013 +0100

    runtc: Add support for binary output.

commit 5cb2cb0209d043b5b3293002ebf305efd59e05b9
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Dec 12 00:57:04 2013 +0100

    Use new binary class definition format.

commit 1f2275dd284326fb3ccda6b2bf17a495d5c2de75
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Dec 12 00:56:12 2013 +0100

    Binary classes are now defined as (name, description).

commit 62a2b15ce3fe6af6867c30cfc9c14c01d201a898
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 23:41:02 2013 +0100

    Easier access to sequences of strings, not just lists.

commit 932606db3cdb14518dac55c67f4ecc8471fb6a33
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 21:53:17 2013 +0100

    runtc: Return errorcode according to testcase result.

commit caa4b2cc0cdb34570e0fe8e5a6dad05a2988cc89
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 21:52:33 2013 +0100

    pdtest: Use -dd to turn on SR/SRD debugging.

commit 554a49f9df0ee8c57d7fae64515cf57d622b0511
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 18:36:42 2013 +0100

    check: Make sure to test this set of decoders, not the installed ones.

commit ea81b49a3ca4fff4994693d30045d51b86181e32
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 18:31:56 2013 +0100

    Load decoders from all search paths, not just the default.
    
    srd_decoder_load_all() was really only getting a list of decoders
    from the default (installation) path, so could not find uninstalled
    decoders, or those in a custom added search path.
    
    This broke development of new PDs when using the SIGROKDECODE_DIR
    environment variable, and broke many of the unit tests in the tests/
    directory -- those actually tested against the already-installed
    decoders, not the ones about to be installed.

commit 820bf44828745e7d0a7bb0974164acd899c3c113
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 16:30:25 2013 +0100

    Clear decoder list after unloading, not just at exit.

commit b74823812d4106bfafc4a7fef1d4a141dac58519
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 12:50:38 2013 +0100

    runtc: Make sure to test this set of decoders, not the installed ones.

commit 2c53ea9310728f451a7c69c49d376b727ff08ff3
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 12:49:30 2013 +0100

    pdtest: Don't bother with diff if any error at all occurred.

commit c87dce4c93822df764cc380213e9a69eced7e6e9
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 12:48:50 2013 +0100

    pdtest: Add option for custom sigrok-dumps repository path.

commit de556baee957a019ac5c16caf1305f5441adf30c
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 12:39:50 2013 +0100

    pdtest: Always sanity-check all testcases.

commit f8c88ebc5b33052de0b88690577af4611aa3709a
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 11 01:21:22 2013 +0100

    Clean up runtc build.
    
    This only compiles libsigrok into the one target that needs it, instead
    of slopping it all over the place.

commit fbd226c3f70f20fdf3cbfd43a671bf2bcc5d23e6
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Dec 10 17:17:38 2013 +0100

    Add protocol decoder testing framework.
    
    This adds a tool in the tests directory, called pdtest. It uses the
    "test/" directory in every PD directory, if present, to run the
    PD against dumps found in the sigrok-dumps repository, and compares
    the output against ".output" files in the "test/" directory. The file
    "test/test.conf" is used to configure which tests to run.
    
    A separate tool (tests/runtc.c) is used to run the actual decoding and
    report output.
    
    To get an overview of the options, run tests/pdtest without any options.

commit 4d2c7619ec72728dd01999f20ef1004e018d18a4
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Dec 10 02:38:44 2013 +0100

    API clarification.

commit 7efd37c004833a4f1758bc99623850d89722636d
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Dec 10 01:05:59 2013 +0100

    Fix 'dist' make target.

commit a6b52878af14944b52ed202478f038b1abcb0d07
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Dec 9 11:44:27 2013 +0100

    Avoid GError warning when unloading decoders.

commit a90eeee1f0af5213f8e88788d0d2d715fad1d4c6
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Dec 9 01:40:23 2013 +0100

    Support DESTDIR on install targets.
    
    Fixes bug 215.

commit b098b820b2942ed6e98546ed897ca81bdedee25c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 4 11:05:00 2013 +0100

    parallel: start(): Drop obsoleted metadata parameter.
    
    This fixes bug #202.

commit 8705ddc81b001d7f79ed94e9aa34b792cfdd4481
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Dec 3 14:46:23 2013 +0100

    uart: Display non-ASCII characters properly.
    
    We use the [XX] notation for non-printable characters, which is what
    various other logic analyzer software packages do too, e.g. the
    CWAV USBee Suite.
    
    This fixes bug #201.

commit 169f42726fcd44ca9a98c914b835ae6ff31295c3
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Nov 29 13:59:51 2013 +0100

    Python 3.2 and portability fixes.

commit 3f5bd4ed85954564b0b6d9819328dbef04d1d3d5
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Nov 27 17:50:23 2013 +0100

    Clean up autoconf leftover configuration.

commit 9cb607f576448b29a65c9f8e955193146d6848c0
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Nov 27 16:52:56 2013 +0100

    edid: Make sure to install the vendor list.

commit 03d6d746b742fb21ca22086ba6b72943a845ecc9
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Nov 27 16:47:04 2013 +0100

    Automate protocol decoder installation.
    
    This automatically figures out the files to install for each protocol
    decoder, without involving autotools.
    
    All python files (filenames ending in .py) are always installed. If a
    protocol decoder requires installation of a non-python file, a small
    file called 'config' can be created in that protocol decoder's
    directory, with the following content:
    
    	# comments are ok
    	extra-install vendorlist.txt commands.txt

commit 37b94c205e4c1c43e77e29993108f23066cbce05
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Nov 26 16:05:54 2013 +0100

    Remove 64-probe limit.
    
    Fixes bug 120.

commit d95f2888014f54fc650dc575c270cc2891580f4f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Nov 19 21:14:03 2013 +0100

    Add a missing #include.
    
    This causes compiler errors in some setups otherwise, e.g.:
    
      CC       libsigrokdecode_la-session.lo
    session.c: In function 'srd_session_metadata_set':
    session.c:195:46: error: expected ')' before 'PRIu64'
      srd_dbg("Setting session %d samplerate to %"PRIu64".",
                                                  ^
    session.c: In function 'srd_session_send':
    session.c:242:15: error: expected ')' before 'PRIu64'
        "number %" PRIu64 ", %" PRIu64 " bytes at 0x%p",
                   ^

commit e630b755f6a3573b6bca87cd280048468204216f
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 10:57:34 2013 +0100

    Turn off excessive logging

commit eaad935fbaa3c301aded9c64dfe514cc4ca40968
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 10:55:02 2013 +0100

    Remove unreasonable test

commit 092f1437d385585ebf12c6a060e753ba812d1700
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 10:49:04 2013 +0100

    Fix inverted condition on doc check

commit aac68131f8ab9aa6dc1f1392a4f9a131a1c54d36
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 10:44:28 2013 +0100

    Don't try to load an already-loaded module
    
    Python silently uses the existing module anyway, but the library
    was counting it as an extra module. This was exposed by a test
    case in the test suite.

commit 22c9bc2a4e958fccf498f4480965ec03884bc058
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 09:41:14 2013 +0100

    Don't decrease borrowed reference to probe definition dict
    
    This fixes bug 177.

commit a8c765481ed4eff56701724f11564a02c8660c03
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 01:33:54 2013 +0100

    Fix inverted condition on decoder check

commit e195c025c303e361d0cc5a207f9c9443fb8deced
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 01:21:16 2013 +0100

    Check library initialization before handling decoders

commit 909fbf4181ab401a371265567505ffa1403f73d6
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 01:14:02 2013 +0100

    Clean up prototypes

commit ca27aa8f9d91d68bfd55fb17fea181a1ba6054a4
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Nov 18 00:03:53 2013 +0100

    Better error checking on session metadata

commit a3a2a26d2a93d1fe7a3bb2e8eb732509c8c905e6
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Nov 16 23:03:19 2013 +0100

    Only instance-related functionality remains, rename source file

commit 190b71cfebc1dd000d3203c7300a10afd96c1201
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Nov 16 22:58:28 2013 +0100

    Move initialization/shutdown into srd.c

commit fe9d91a88a8896ef04d12682720943b237c0a295
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Nov 16 23:14:50 2013 +0100

    Move session-specific functionality into session.c

commit 2aa72348627817f068b6e1862727025a7cb5b662
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Nov 16 15:33:16 2013 +0100

    Minor cleanup

commit 2b628af1e5f816b96683a5a140642a97fe0ef8e1
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Nov 15 23:37:47 2013 +0100

    Move versioning info out to separate header

commit a929afa618be52072786b51f1b9ea7be03edcd49
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Nov 10 12:45:58 2013 +0100

    Use OUTPUT_BINARY with four classes.

commit d75d8a7c40011cdc15be8330b5efbdf812c4fe27
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Nov 10 12:42:11 2013 +0100

    Implement OUTPUT_BINARY
    
    This requires the PD to have a tuple in its class called 'binary',
    which contains a list of strings describing the different binary
    classes it can output. For the SPI decoder this might be 'MOSI' and
    'MISO', for example.
    
    The data is submitted to the frontend as struct srd_proto_data_binary,
    which contains the class that data belongs to.

commit 0169f19c53e195df2f96c4df731ad3214c59e20a
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 14 21:56:21 2013 +0100

    Drop obsolete report() method.

commit 0309c15a6990f57fbbb27d6a77957b1282163f06
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 14 21:55:09 2013 +0100

    Drop outdated report: this should be handled by a frontend.

commit be465111b552c7c2a2262ac49758a30a8bf1b1d5
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 14 17:25:53 2013 +0100

    Use the new Decoder.register() API

commit 8a3c879201df27615f30b7c6b3a4072526c0e378
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 14 14:55:09 2013 +0100

    Emit meta bitrate

commit 8d2a96368a130d8c7d1b7877536cfcf48305f609
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 14 00:36:16 2013 +0100

    Emit meta bitrate

commit 19ac1568f74920bd44e43671059cf9e1780e5aca
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 14 00:32:03 2013 +0100

    Prune dead code

commit 7ee0c40b4ac605c68a8ec2008ef4ab61a1872475
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 14 00:19:28 2013 +0100

    Implement OUTPUT_META
    
    This replaces the Decoder.add() method with Decoder.register().
    The first argument is still output type, but all arguments are now
    optional:
    
      Decoder.register(output_type,
            id='someid',
            meta=(object-type, 'Name', 'Description'))
    
    'id' defaults to the protocol decoder instance id, and only needs changing
    if a decoder chain needs to fork.
    'object-type' refers to a Python object, such as int or str.
    
    After registering, the PD submits data as usual with Decoder.put(), with
    the only argument a value of the registered object-type.

commit 0b9224604aa166775a6693efba215a33ce594b70
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 7 22:38:47 2013 +0100

    Split annotation-specific output to another struct
    
    struct srd_proto_data was supposed to be independent of the output
    type, but a field specific to annotations snuck in there.

commit 4f75f1c1dfdec362514884ac4335c080b48b3d78
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Nov 7 15:02:10 2013 +0100

    Minor code cleanup

commit f2a5df42ea41e6c4370d4efa1a27ab942ba1ddff
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Nov 5 11:21:33 2013 +0100

    Rename inter-PD output type to SRD_OUTPUT_PYTHON
    
    This better reflects what it is: a python object generated and
    processed by python code.

commit 98e0b79b9fd2abf076054abc5f25c184b436cb87
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 31 12:25:58 2013 +0100

    unittests: Update to recent API changes.
    
    srd_session_config_set() is now called srd_session_metadata_set(), and
    SRD_CONF_NUM_PROBES and SRD_CONF_UNITSIZE are dropped.

commit 8915b34659332288aab38780d8f10d75c4c83e7f
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Oct 30 22:35:41 2013 +0100

    The start() method no longer takes a metadata parameter

commit f372d597739a30e0106aebc8225c1edebf6d93e3
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Oct 30 22:25:45 2013 +0100

    Receive samplerate via metadata(), not start()

commit ed41649709abc02362df526cbd725775000e8199
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Oct 30 16:30:05 2013 +0100

    Pass metadata to PDs only at runtime, not at decoder start
    
    The SRD_CONF_NUM_PROBES metadata key was removed. It wasn't actually
    used for anything, since this is trivially available via the configured
    (or default) probe list.
    
    The SRD_CONF_UNITSIZE key was removed. The unit size is instead derived
    from the probe list: the number of probes packed into the least amount
    of space possible defines the unit size.
    
    PD changes:
    * The start() method no longer takes a 'metadata' parameter.
    * Metadata now comes in only via the metadata() method, which takes
      a key and value. The only key defined so far is SRD_CONF_SAMPLERATE,
      which is exported into the module namespace.
    
    API changes:
    * srd_session_send() now takes an end_samplenum parameter, and had its
      options rearranged.
    * srd_session_config_set() is now srd_session_metadata_set(). This keeps
      "config" options for a future feature to allow PDs or frontends to
      configure each other's options on the fly, up and down the stack.

commit 69075817a626982179e5739bf0eee5e47b8a5f9e
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Oct 30 15:22:10 2013 +0100

    Documentation and coding style fixes

commit 56c93143f54601280a119b64b1eea8dc4b591dcb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 23 19:59:50 2013 +0200

    Add a 'guess_bitrate' protocol decoder.
    
    This PD tries to guess / detect / estimate a bitrate of e.g. some
    UART communication snippet or other protocols.

commit 3af0e3455d4263f79920afaf6aed44286ad37ba0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 23 19:23:40 2013 +0200

    controller.c: Add checks for srd_inst_option_set().
    
    This also fixes some unit tests that were previously failing.

commit 368b406efb2f4527d11b10dda8011f352288023e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 23 19:21:45 2013 +0200

    testsuite: Add some decoder instance related tests.

commit a3b4f1684a8f5c4a3bb65de89c36108bf8565197
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Oct 21 22:59:25 2013 +0200

    parallel: Limit number of probes to 8 for now.
    
    This will be increased again at some later point.

commit 74bb0af5daeef0d9abcf382b238e84376b1e006b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 20 23:09:46 2013 +0200

    session: Add some more parameter checks, minor other fixes.
    
    Some of these also fix unit tests that were previously failing.

commit 269b442df38c1cfe825fd397612f8f79aea5541d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Oct 18 19:39:30 2013 +0200

    testsuite: Add a few session related unit tests.

commit 25e1418afe855a77be29bca4350dc49220dd3143
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Oct 19 21:36:49 2013 +0200

    Add initial sync parallel bus decoder.

commit 8a01468302ed915f6efd6933836c27e60a019100
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Oct 17 23:52:15 2013 +0200

    Report invalid module name on decoder load

commit 9b9ff99983bba5f06093002e6cafd5bfd632b65d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 17 22:44:29 2013 +0200

    testsuite: Add a few more unit tests.

commit 94bc9a839da836c802e77a6d7254945086a3be77
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 17 22:42:34 2013 +0200

    Minor cosmetics, typos, Doxygen updates/fixes.

commit 119d62586036f4436de8e11824e388c3f0a882c4
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Oct 17 16:27:54 2013 +0200

    Avoid clobbering class variables when setting instance options

commit 308d9958c9b4ca8f7126d7e8c81be3b93749a2b1
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Oct 17 16:26:58 2013 +0200

    Don't release borrowed reference

commit bf525bd23ab8be68b6369c8f950aeeeacc677eb2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 17 02:05:09 2013 +0200

    .gitignore: Add some missing entries.

commit 3ad11099f8d45c215d3b44e5588832b7679b887d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 17 01:48:08 2013 +0200

    testsuite: Add some basic tests for loading PDs.

commit 7529cdaad9e9a52c93ed4d21c2fcccaf3313592c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 16 19:37:44 2013 +0200

    Add a testsuite for libsigrokdecode.
    
    This uses the Check unit testing framework, just like libsigrok.
    For now, only a few very basic unit tests are included.
    
    Invocation:
    
      make check

commit 7fc7bde666b3c1234e3d9612caa0388381881059
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Oct 16 11:10:27 2013 +0200

    Properly return error on exception in srd_inst_option_set()

commit 32cfb920625182c03eb4a4564ffdfa9d2b08f15c
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Sep 12 23:54:43 2013 +0200

    Move all decoder instances and callbacks into a session struct
    
    The struct srd_session also holds configuration parameters formerly
    passed to srd_session_start().
    
    The new call srd_session_new() takes a pointer where a newly allocated
    pointer to struct srd_session will be stored. This pointer must be
    passed as the first argument to all functions that require it.
    
    The SRD_CONF_NUM_PROBES, SRD_CONF_UNITSIZE and SRD_CONF_SAMPLERATE
    keys must be configured with srd_config_set() before srd_session_start()
    is called.
    
    A new call srd_session_destroy() is also available. This cleans up all
    resources the session holds. This is also called from srd_exit() for
    all sessions.

commit 1f2e00d140ac41a3a61888f67fc6f96c4369bea3
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Sep 11 12:35:17 2013 +0200

    Code cleanup

commit 6fd278bac7d10e967e708171e2b3aa8b3382a2ff
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 13 18:32:52 2013 +0200

    i2s_dump: Fix bug in the WAV output format generation.

commit f54ffe555c7be3cc674833953fd5d8aba1a88e17
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 13 17:30:32 2013 +0200

    Add new i2s_dump protocol decoder.
    
    This stacks of top of the 'i2s' decoder and outputs the audio data to
    file (or stdout) in various formats. Currently only WAV is supported.
    
    This is work in progress, it has various hard-coded assumptions.

commit 7fb4935edde881272fabdeda83f554bcf150689f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 19:10:29 2013 +0200

    tlc5620: Output short/long annotations.
    
    This fixes (the remaining parts of) bug #168.

commit 5f4de613af7b95dd37c6df69efb1214c741fdd05
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 18:59:30 2013 +0200

    tlc5620: Use annotation types.
    
    This fixes parts of bug #168.

commit 63374ad88faa566e3fffbca0e31c501e68ec372b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 22:20:18 2013 +0200

    lpc: Initial start-/end-sample support.
    
    This fixes (parts of) bug #163.

commit f7aa0719c59029f5340ac30d11efd5679ca07475
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 20:02:39 2013 +0200

    lpc: Use annotation types.
    
    This fixes (parts of) bug #163.

commit 6554fbc9e135916909ea3cdb6b4d35e73b7daa07
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 19:48:17 2013 +0200

    lpc: Make the RESET# pin optional.

commit 59d3200cb1f7c64aabffcf3e69e66626d2fd83b7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 19:24:48 2013 +0200

    lpc: Fix handling of optional probes.

commit edc6c8fd1ff5c603163e6b1e3d0f6cee3de8aa55
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 19:21:39 2013 +0200

    lpc: Add annotation helper method.
    
    This fixes (parts of) bug #163.

commit 9059125f3997a7ce77ef5081da5e8bc8160e6769
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 10 22:44:02 2013 +0200

    usb_signalling: Drop packet handling.
    
    The usb_signalling PD should not care about packets, only symbols and bits.
    The new (fixed) usb_packet PD constructs packets out of individual bits now.

commit 0eb16a7bab83bf219004b768cb58d90a6c52e0d7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Oct 4 11:35:56 2013 +0200

    usb_packet: Major rewrite, e.g. to prepare for GUI usage.
    
    Restructure the PD into a state machine, output individual packet
    components as separate annotations, define a protocol output format and
    implement it (so that other PDs can stack on top of this one), and fix
    various other isses in the PD.

commit a015bd4926d95a5cbb25843c02eca967097f4e7e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 2 19:29:54 2013 +0200

    Rename usb_protocol to usb_packet.
    
    There will be further PDs that are stacked on top of usb_packet.

commit a56b8fe1439410e88a4fa3888820f693f6f37aba
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 2 19:13:44 2013 +0200

    usb_signalling: Document protocol output format.
    
    Also, add missing output for some packet types.

commit 4e980c20fbb456ca339529762ea7173900521a3c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 00:34:41 2013 +0200

    onewire_link: Provide short/long annotations.

commit 015dc33a9fe13c529bd84fcfdca39d3fa2f7c293
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 00:30:35 2013 +0200

    onewire_link: Fix typos.

commit 6f50757335d1936558779fd8fe8100a8257e7a71
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 9 00:23:49 2013 +0200

    onewire_link: Split "reset" and "presence" annotations.
    
    This needs a few more fixes later, but it's a start.

commit 01520fa9a6e0fe3eb17dd107a408e6b7e726850a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Oct 8 23:20:15 2013 +0200

    onewire_link: Default the 'overdrive' option to 'no'.

commit 497f196ddfa2d0e2e7925d6d8b3dea3548cf1b52
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Oct 8 23:06:39 2013 +0200

    onewire_link: Use defaults for the PD options.
    
    This also simplifies the PD code a bit.

commit 5484838563328e7d0533e6bdf5405829d24e7ca0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Oct 8 17:56:01 2013 +0200

    onewire_link: Drop PD info not useful for the user.

commit 938aa7fb36fc0f172dda3b2bc5c15b226a458295
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Oct 8 17:49:55 2013 +0200

    onewire_link: Use annotation types.
    
    This fixes bug #147.

commit ddeb9b32167075938aa96af0f71acfa190a9c3e1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Oct 8 17:46:59 2013 +0200

    onewire_link: Add/use annotation helpers.

commit 750a808a37cca1b05e27ff10088c2780627295d4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Oct 8 00:41:28 2013 +0200

    i2s: Add shorter and longer annotations for GUI use.
    
    This fixes (the remaining parts of) bug #162.

commit 4adb11a93d77de94d3114624dce5464c2d25cd61
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Oct 8 00:26:54 2013 +0200

    i2s: Define/use common proto out format.

commit 2b2b7c300e6771ac6aa2982ced109ef3f02f3636
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Oct 7 16:34:51 2013 +0200

    i2s: Add helper methods for annotation/proto output.

commit 29fc362596c87eaa3dc684d1d23047772ad27354
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Oct 7 16:32:11 2013 +0200

    i2s: Use annotation types.
    
    This fixes parts of bug #162.

commit 17f5df4f9eb701d6e8203d2953a7c48d3dd55537
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jul 18 21:31:47 2013 +0200

    Add initial MIDI protocol decoder.
    
    This supports a certain number of MIDI messages already, but not yet all
    of them. More will be added later.

commit ab96960eded15c227208e49007a0b3f65c046aa3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 29 20:22:51 2013 +0200

    usb_signalling: Fix packet annotation.

commit fdd5ee5e2ca54c287aecf8c31a3249d5f69fdd66
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 29 20:19:21 2013 +0200

    usb_signalling: Fix EOP handling and annotation.

commit edad813467a4a248edaa1c91377d532b2e7f8786
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 29 20:05:13 2013 +0200

    usb_signalling: Properly use different annotation types.

commit d1970f14488ad23f595994779831cd8897c39300
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 29 00:18:24 2013 +0200

    usb_signalling: Fix decode of individual bits.
    
    After a Start of Packet (SOP) has been detected, "sample" the individual
    USB symbolѕ/bits in the middle of the respective bittime (depending on
    whether full-speed or low-speed signalling is used).
    
    This fixes various incorrectly decoded cases (bug #158).

commit 7dc75721f38ce781db1b8d512d626024acf35b59
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Sep 20 16:28:33 2013 +0200

    usb_signalling: Simplify symbols handling a bit.

commit 5bb55598a1868113513f737b2714bcd6e48aa9b3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Sep 20 16:22:33 2013 +0200

    usb_signalling: Refactor/simplify bitrate/bitwidth handling.

commit 7d4b5fac7abd39749900a2990f8d0b1b81edd20d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 15 20:46:56 2013 +0200

    usb_signalling: Fix start/end sample numbers.
    
    This makes the decoder suitable for GUI usage.
    
    This fixes bug #155.

commit 69ada057e0a8ed086d89d976b1c78e22bea26a77
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 15 20:07:03 2013 +0200

    dcf77: Fix date parity check.
    
    The parity check for certain DCF77 fields/bits was incorrect. It has to be
    an even parity over bits 36-58. This is fixed now.
    
    This fixes bug #157.

commit 99f5e74a415f94e1de50475bb26c82fe2dc7c893
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 15 18:12:45 2013 +0200

    dcf77: Provide short and long annotations.

commit 3e9b87f7817506371149b0dba5848c2519285c1a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 15 16:50:15 2013 +0200

    dcf77: Fix multi-bit DCF77 field annotations.

commit aa4cf4c629018a486dea560d639215c7beec2289
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 15 16:39:59 2013 +0200

    dcf77: Consistency renames.

commit 54f1b2b7a7933d87151a8af5cab53bcd1e75fe4c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 15 16:33:32 2013 +0200

    dcf77: Drop PON pin handling.
    
    The PON pin is specific to the Pollin "DCF1 module", but has nothing to
    do with DCF77 itself. Thus, drop it from this PD. It can be part of
    another stacked PD if needed.
    
    This fixes bug #153.

commit 8a18c4e7629ca748c3975116255a0374cfb0a9e7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 15 16:31:00 2013 +0200

    dcf77: Use proper annotations for DCF77 components.

commit e3163b299981d708fcbd418c1c6dab8c4a0af559
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Sep 14 23:20:48 2013 +0200

    dcf77: Fix bug in handling of DCF77 bit 0.

commit 09bca51125c4f7916b9f35e49e4f83895abf01ed
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Sep 14 23:17:10 2013 +0200

    dcf77: Fix start-/end-sample numbers.
    
    This fixes bug #154.

commit a250a66dddc795295d7758f09d40463ddaf62eb8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Sep 14 20:28:40 2013 +0200

    i2c: Drop unneeded 'addressing' option.
    
    This (unimplemented so far) option is not needed at all, since the
    decoder will be able to detect 7/10 bit slave addresses automatically,
    the user doesn't have to specify slave address sizes.

commit 9e95e4d85337965285d4814eb0c44837910b66f8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Sep 14 20:10:01 2013 +0200

    i2c: Drop obsolete TODOs.

commit f1428c4cbd60be07322cc3129eaed716a269648b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Sep 14 19:07:20 2013 +0200

    i2c: Move OUTPUT_PROTO docs to pd.py.

commit 871b19d2c747c4baf2fcc3fbed6ca51e435a0e4a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Sep 14 19:06:05 2013 +0200

    i2c: Moved extensive protocol docs to the wiki.

commit d94ff143ef7725388299ef9bd3be7ebc60e0dd2e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Sep 13 19:08:34 2013 +0200

    i2c: Various fixes to make the PD suitable for GUIs.
    
    The output format of the slave address is now a PD option. It can be
    "shifted" or "unshifted", i.e. bit 0 (which contains a read/write
    marker) is either shifted out or not, i.e., the slave address is
    displayed as 8bit or 7bit number (or 11bit/10bit number for 10bit slave
    addresses).
    
    Data bytes (not address bytes) are always shown as 8bit values, of course.
    
    Add annotation types for the individual I2C components such as
    start conditions, stop conditions, ACK/NACK, address read/writes,
    data read/writes and so on.
    
    This fixes bug #151.

commit 0702e0cf5a0577122c4008007151b6c3d798b0fb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 21:22:09 2013 +0200

    spi: Add some documentation, move OUTPUT_PROTO docs.
    
    Add a short help text for the PD and move the OUTPUT_PROTO docs to pd.py
    since they're not meant for the user too see.

commit efa641735217e5425f93e69cbaddf70d75c7e9e4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 21:19:55 2013 +0200

    spi: Make CS# optional and use it if supplied.
    
    The CS# pin is now optional, it can either be supplied to the PD or not.
    
    If it _is_ supplied, reset the PD state every time it changes. This has
    the effect that "incomplete" SPI frames and those where CS# is not
    asserted are ignored and not decoded.
    
    This fixes bug #152.

commit 191ec8c5b7b6bb6b348a2c43b851923181fd68d8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 21:14:06 2013 +0200

    spi: Refactor code, use a state machine.

commit 29f8bb7b787ff8bc2a2e55d3de0b53452e73c6af
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 21:05:22 2013 +0200

    spi: Provide multiple annotation types.
    
    For now SPI gets the following annotation types:
    
     - MISO/MOSI SPI data
     - MISO SPI data
     - MOSI SPI data
    
    (i.e. you can see either MISO, or MOSI, or both; the latter is most
    useful for CLI usage)
    
    Also, show the hex values as e.g. F5 (upper-case letters, no "0x" prefix).

commit ec0afe27db7f6e2abdd2a712ca4bbc5c01debe67
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 20:57:04 2013 +0200

    spi: Fix start-/end-sample numbers.
    
    This now makes the SPI decoder suitable for use in GUIs.
    
    This fixes bug #150.

commit 3eda7779a7db58d76f0512940da7f6d7e4339731
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 20:45:02 2013 +0200

    spi: Make data format a PD option, add annotation types.
    
    The data format can be specified via the PD's "format" option now, it is
    no longer an annotation type.
    
    Also, add and use two annotation types: "Data" and "Warnings".

commit 74c9bb3caa945409b3e8a68920f910e8363732fb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 16:36:25 2013 +0200

    can: Use proper annotation types for the CAN fields.
    
    This allows GUIs to show different fields in different colors.

commit 6d6b32d6ca3610c07513137ee72e908e87e1c97b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 09:40:40 2013 +0200

    uart: Output data in separate RX and TX annotation types.
    
    There is one annotation type for the RX side of the communication/data
    output now, and another one for the TX side.
    
    This allows GUIs to show them in two different traces, and/or show them in
    the same trace but with different colors.
    
    This also has the additional benefit that it is clear which databyte
    belongs to which direction. Previously the annotations had to look like
    "RX: 5F" or "TX: 11001011", but the "RX: " and "TX: " prefixes are now
    no longer required, making the GUI traces (and CLI output too) much more
    readable.

commit 1f224555348ff440bdbd7014f66ac5ce44eb4d27
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 09:32:28 2013 +0200

    uart: Use same length for data output in all cases.
    
    Until now you could get e.g. "d" or "df" as hex output from the UART PD.
    
    This will now be a common-length "0D" and "DF". When all data byte
    annotations are of the same lengths the readability in GUI traces is a lot
    better. Also, hardcode hex characters to be upper-case (for now).
    
    The same applies to oct ("021" instead of "21") and bin output
    ("00001001" instead of "1001").

commit 3a1803b09807eafba04c5e9fb0110d1c0d9f0eaf
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 09:17:12 2013 +0200

    uart: Put annotations into proper annotation types.
    
    There are now extra annotation types for data, start/stop/parity bits and
    for warnings (e.g. "invalid parity" or "frame error" or such).
    
    This allows users to select which of the annotation types they want to
    see (they can select one/multiple/all annotations as needed), and also
    allows them to use different visual representation for the different
    annotation types in GUIs (e.g. different colors for the blobs, different
    fonts, rectangle/round/elliptic blobs, and so on; how the annotation
    blobs are displayed is entirely up to the GUI and its configuration by
    the user).

commit 4cace3b8485ffd04ed5c07ee81be812c7284c37b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 09:07:53 2013 +0200

    uart: Move OUTPUT_PROTO format description to pd.py.
    
    This is information that a user (when viewing PD info in a GUI/CLI)
    should not see (and doesn't care to see), it is meant for developers only.
    
    Thus, make it a comment in pd.py instead.

commit 3091f4e048d5baab17863b49f34f7a5b5149d709
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 09:01:52 2013 +0200

    uart: Drop extensive protocol info (moved to wiki).
    
    Move the full details of the protocol to the wiki, the docs in the PD
    itself should only be a short description and/or a collection of notes
    that could be useful for a user in a GUI (or CLI) to decide which
    PD to select, which options to set how, what PDs to stack where, and so on.
    
    The full protocol description (including photos, examples, ...) is here:
    
      http://sigrok.org/wiki/Protocol_decoder:Uart

commit 3006c663c9c2be8f476a0085d1d59319501b6303
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 08:31:59 2013 +0200

    uart: Make data format selection a PD option.
    
    Until now we (ab)used annotation types for outputting the same data
    (numbers) in different formats (hex, ascii, binary, and so on).
    
    Turn this into a proper PD option, since annotation types should rather be
    used for different _types_ of annotations (e.g. "CRC", "Stop bit",
    "Preamble", "Sequence counter", "Warnings", and similar things), not
    different _formats_ for the same annotation type.
    
    Old sigrok-cli invocation for hex output:
    
      sigrok-cli ... -P uart:rx=0:tx=1 -A uart=hex
    
    New:
    
      sigrok-cli ... -P uart:rx=0:tx=1:format=hex
    
    In GUIs there is now a new "Data format" option where the user can
    select the output format for UART data (default is 'ascii').

commit 9f18eb6c7baad207a15c6efcfedf751838b8000e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Sep 12 08:20:03 2013 +0200

    uart: Use T for stop bit, P for parity bit.
    
    The short(est) annotations for "Stop bit" and "Parity bit" have both
    been "P" until now, which is confusing for users (on certain zoom levels
    in GUIs). Use "T" for stop bits now instead.

commit 9300bc22bad033204d369884b0f548b1e2a9bc59
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Sep 11 19:53:31 2013 +0200

    uart: Don't prefix databyte output numbers.
    
    Previously the output was 0x41 or 0o101 or 0b1000001, now it is 41 or
    101 or 1000001. We drop these prefixes, since they decrease the readability
    of the PD output (especially when displayed in GUIs) and are not needed
    anyway since the user knowingly selected the number format before running
    the respective PD.

commit 83be7b8384e0dc20b84de831e5922fb9c6d0762d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Sep 11 19:20:15 2013 +0200

    uart: Fix corner-case that can occur with LA triggers.
    
    Assume that the initial pin state is 1/high for the RX and TX lines.
    
    This fixes the decode when an LA triggers on e.g. TX=low (the first
    sample would be low in that case, so the falling edge for the start bit
    would be missed by the decoder).

commit 15ac66048e7dcd9c6a0ddbfc5cab2e56f95b3f56
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Sep 11 19:15:51 2013 +0200

    uart: Fix start-/end-sample numbers.
    
    This now makes the UART decoder suitable for use in GUIs.
    
    This fixes bug #148.

commit 534ae91250fed49eb22ad7400e8b6c520aadc461
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Sep 10 09:33:11 2013 +0200

    can: Use annotation abbreviations.
    
    Supply long, middle, and short versions for most annotations, so that
    GUIs can show nicely readable and useful annotations on various zoom
    levels.

commit 4b1813b4bc93a0b456f884c8de9f71df4bde6a39
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Sep 9 21:48:42 2013 +0200

    can: Fix annotation start/end samples.
    
    With this change pretty much all CAN annotations that are currently
    output should have the correct values, including single-bit and
    multi-bit fields, standard and extended CAN frames, and so on.
    
    This fixes #146.

commit e20f455cbc52684d177a42153fa9be931077a338
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Sep 9 19:38:38 2013 +0200

    can: Prepare for fixing annotation start/end samples.

commit 95097f3108033f69c19a315a7d042383b7295628
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 8 15:16:11 2013 +0200

    i2c: Fix corner-case that can occur with LA triggers.
    
    Until now the I2C PD was basically ignoring the very first sample, and
    using that as the initial 'oldscl'/'oldsda' value.
    
    However, if your logic analyzers trigger on, say, SDA=low that will
    result in a file where the first sample is really important since it
    is the one which the PD will need to know that there's a falling edge
    on SDA.
    
    Thus, assume both SCL and SDA are high/1 when the PD starts. This is
    a good assumption since both pins have pullups on them in practice
    and are thus high/1 when the bus is idle.
    
    Later on we might want to have config options to let the PD assume
    other states of SDA/SCL initially.

commit b055603b3ff59be1497b96a1a22da262b8753d75
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Tue Sep 3 16:36:44 2013 +0100

    i2s: Fixed annotation sample numbers

commit 84f33bc71163b4a233f51cf64912a5a8f65d7565
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Aug 15 17:12:33 2013 +0200

    pan1321: Improve commands documentation.

commit b1f2d25f16636caa9d6a8d0715c772040b3dc68c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Aug 9 20:17:03 2013 +0200

    pan1321: Initial JSDA support.

commit 2d3f496e293b85a1f702355bf7fd275ae2f31455
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Aug 9 19:19:00 2013 +0200

    pan1321: Add support for JAAC.

commit 72a6cad40c4df6e5e45216cd5f77d1b195168359
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Aug 9 19:13:20 2013 +0200

    pan1321: Properly check for \r\n, not just \n.

commit db9ebbc2143f4b744b273ed0d5bbfd4b02aa8db9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Aug 9 19:11:08 2013 +0200

    pan1321: Code simplifications.

commit 6bbd2a8afb1daa76bc14866c2c1a345b1cea5e44
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Aug 4 14:24:40 2013 +0200

    pan1321: Add warnings for invalid protocol usage.

commit 5b2b0b0d88b19301e744e0a84df3bad91c5e28d5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Aug 4 14:15:33 2013 +0200

    pan1321: Support JSEC and JPRO.

commit 2994587f98f205bb8847554bd28483532b277f2c
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Sep 1 18:20:36 2013 +0200

    Use frontend-registered callback with correct parameters

commit 845f0d4031780220451037e87885e1ff79670976
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Aug 31 11:18:49 2013 +0200

    xfp: Decoder for XFP I2C structures

commit 5ab72981db9f1573d52db87d218f024fec6c8723
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Aug 31 11:17:02 2013 +0200

    Ignore __pycache__ entries

commit 1cb844734958781fea47b7884db6e56d8a83c000
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Aug 13 21:30:04 2013 +0200

    lpc: Bugfix: Sample data at rising clock edges.

commit cded73ba6a9a2095d06e92912a7e6f6ccb22307e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Aug 13 21:06:03 2013 +0200

    lpc: Various fixes to make the PD actually work.

commit b88e336b86493ee3d893f563d1d847d901f8ce07
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu May 23 11:24:25 2013 +0200

    Fix double free

commit ca3fc3c0c042ecf509f8218e417655c04c9b9831
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed May 8 22:25:37 2013 +0200

    Fix double free

commit 3abc83b996547a69bad906ec748f30874aae4796
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 8 16:46:07 2013 +0200

    Doxyfile: Set version to "unreleased development snapshot".

commit e592ac8917d17665119b3647b5eae27fa387d6de
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun May 5 17:20:13 2013 +0200

    Fix various memory leaks

commit 47dfa77d472795e6b5ad2ec3f3588a9619aec70f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 23:51:35 2013 +0200

    Use enums for error codes and loglevels as in libsigrok.

commit cdf156ba36def94a86453b017054470ee9ae7608
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 23:28:10 2013 +0200

    Add srd_strerror() and srd_strerror_name().

commit 30b770d5375522bd014502b9348aff3ee36e830d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 23:09:53 2013 +0200

    libsigrokdecode-internal.h: Cosmetics.

commit 3d0530ef2115b56d3750c3557a0d45bd3831b7c6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 21:37:54 2013 +0200

    NEWS: Minor updates.

commit 4cc0d9fe8d4f0b8d7d92aab6d5d63bf143fbe264
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 21:21:30 2013 +0200

    Doxygen: Various fixes.

commit c1f86f02a149f46609273e1bd5b42696d544727a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 14:49:21 2013 +0200

    Main header is <libsigrokdecode/libsigrokdecode.h> now.
    
    This matches the convention used in libsigrok. Potential other headers
    might end up in libsigrokdecode/, but only libsigrokdecode.h is meant
    to be #included by frontends directly.

commit 8c664ca2d7b4faffa7b3dbeb3b9e491976c24eee
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 14:45:49 2013 +0200

    Doxygen: Add @since markers to API functions.
    
    Also, document the functions in version.c.

commit f11e9498c83d4b27ffc1029f6dbd7ef871953aca
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 14:31:11 2013 +0200

    HACKING: Document the @since Doxygen tag.

commit 0a7ae201ca82293fe3bb413cdddf7bcf9b0f42da
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 3 14:22:01 2013 +0200

    Doxyfile: Set version number to 0.2.0.

commit 10b3851672d9047941079bca052751855f5ea5fa
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri May 3 11:20:06 2013 +0200

    Update package version to new 0.2.0 release

commit 50bd5d259677faf87bb3408e111d0e833d7ba9b4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 23 22:27:20 2013 +0200

    GPL headers: Use correct project name.

commit cab2b4eb7fc8ba1cbe3f48a662bd636facf965ab
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Apr 15 12:21:04 2013 +0200

    configure.ac: Show $build, $host, and lib versions.

commit 307fcf90e9e537e97c4621bb3ba8f276a0f5d548
Author: Peter Stuge <peter@stuge.se>
Date:   Sat Apr 6 15:01:25 2013 +0200

    configure.ac: Look for python-config-3.x besides python3.x-config.

commit 3e1a99c0f8c5e9ace4748ff818146a70b9549092
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 20 00:03:03 2013 +0100

    README: Add "Copyright and license" section.

commit 2f395bff8f096ef738140913e2d01ff0a8c07002
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Mar 19 01:47:53 2013 +0100

    use GVariant for passing decoder options and probes
    
    Decoder options are now exposed in struct srd_decoder, via a GSList
    of the new struct srd_decoder_option. The 'def' field represents
    the default value as set in the decoder, converted to GVariant. This
    allows a library user to determine the type as well as default value.

commit 0ff2d191726ef2e5a30ce697c7c93e4b0b1605f3
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Mar 19 01:01:25 2013 +0100

    code cleanup

commit 47198f313a3c3e6431f5896fae3fb556f38746ed
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 17 13:21:35 2013 +0100

    configure.ac: Drop std-options, unneeded.
    
    The automake 'std-options' option checks whether all installed tools
    and scripts have a --help and --version CLI option. This check is not
    needed for libsigrokdecode though, since it doesn't install any tools.

commit d5a4209da3f3dc35bb3f262818a46c19b524c711
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 17 12:53:49 2013 +0100

    README: Refer to INSTALL and new Building wiki page.

commit 8b97d010eff4f87732c9a82e3f8c9e624295f4ff
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 12 15:12:09 2013 +0100

    ds1307: Fix date/day-of-week printing.

commit 3bf689988fc1e8db9cb3997039b06f683c413fc1
Author: Matt Ranostay <mranostay@gmail.com>
Date:   Mon Mar 11 08:03:20 2013 +0000

    Add Dallas DS1307 RTC protocol decoder
    
    Dallas DS1307 RTC protocol decoder that works stacked
    with the I2C PD. Based on the rtc8564 protocol decoder.
    
    Signed-off-by: Matt Ranostay <mranostay@gmail.com>

commit 4895418c6800ecb128ed36af2a1bc46916c9be85
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 9 22:25:15 2013 +0100

    Doxygen: Initial groups and topic short descriptions.

commit 54fdeeefffe31d32dddaf0f3d6a99dc7b3bc2448
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 9 22:10:57 2013 +0100

    Doxygen: Add @file items for the relevant files.
    
    These short descriptions are shown in the "Files" section of the
    Doxygen output.

commit 57790bc8c558ccf2e57b3d973c043088232628c7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 9 21:44:11 2013 +0100

    Doxygen: Mark private functions/variables properly.

commit 31e615a50b34f67bdf5562ad887415b2ec8796c8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 9 21:43:46 2013 +0100

    Doxygen: Document how to mark private stuff.

commit d7dae84b94b597458f1dce0c126e31d5697234e6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 9 21:32:31 2013 +0100

    Doxygen: Add intro section and some docs.

commit 5d24bb216924e92c25202fc7f48dd0bcc5b88655
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 9 21:07:53 2013 +0100

    Add contrib/sigrok-logo-notext.png.
    
    This is used in the generated Doxygen HTML output.

commit c1507ca92d4161f7895993988f70f6549a9f7f7a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 9 21:03:08 2013 +0100

    Doxyfile: Update to match the libsigrok file/settings.
    
    This uses a template generated by Doyxgen 1.8.1.2 (like libsigrok
    currently does) and adapts it to libsigrokdecode needs.

commit cf3a952add0bc2b7d6631c65e4ad667dc9ac8d65
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 2 12:19:22 2013 +0100

    .gitignore: Add INSTALL (copied by automake).

commit 38ff5046e8344940601f2b9eb5d8dbfbef975c30
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 2 12:18:29 2013 +0100

    Bring back temporarily reverted changes.

commit de5a05f120d6d7f1e20265e9e264ac859c9c5020
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 30 01:16:35 2013 +0100

    can: Temporary quickfix for a bug.

commit d71834acaacc7fd8af6e7293231ecd7cd2743ccf
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 21 00:59:59 2013 +0100

    Update package version to new 0.1.1 release.

commit 2b7c61d605a79206779d2ebb4336b9765f54881c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 21 00:50:14 2013 +0100

    Update libtool version numbers for libsigrokdecode.
    
    The last release of libsigrokdecode (package version number 0.1.0) had the
    initial libtool version numbers (current:revision:age) of 0:0:0.
    
    The upcoming release (0.1.1) is API-compatible with 0.1.0 and can be used
    as drop-in replacement. Programs linked against 0.1.0 do not need to
    be recompiled or relinked.
    
    As per the libtool guidelines this release only increments the
    libtool "revision" number. The new libtool version numbers
    (current:revision:age) are thus 0:1:0.
    
    See here for details:
    http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info

commit a860b7cccbed7b52feeb6b37c81d5984ce37baa8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 21 00:39:53 2013 +0100

    NEWS: Various updates.

commit 1c9ac10f4b2c6e83184fe29bd32e090fcac211e7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 20 21:46:42 2013 +0100

    Minor autotools improvements.
    
     - Don't use "foreign" option for automake. Without this automake will
       perform some additional sanity checks e.g. on missing files. It will also
       now add the usual INSTALL file which documents the configure options etc.
    
     - Add AUTHORS file.
    
     - Add 'check-news' automake option, which will abort 'make dist' if
       the NEWS file doesn't list the current (to be released) package
       version at the top (i.e., if we forget to update NEWS).

commit 322c6b2fb36aaa38967ca797acef0ebb1f3090e6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 20 21:26:45 2013 +0100

    Temporarily revert API changes in preparation of release.
    
    The upcoming libsigrokdecode release should not contain any API changes
    so it is compatible with existing released frontends (sigrok-cli 0.3.1).

commit 6d333fd65c41f7bf6470d0b6ada88efee4777f59
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 19 21:23:25 2013 +0100

    configure.ac: Drop AC_PROG_CXX.
    
    We don't need a C++ compiler for libsigrokdecode, so don't check for one.
    
    This would cause a build failure on all systems where there is a C compiler
    but no C++ compiler installed.

commit 7560e16c17b9616e2ab6ae39a65c550b061889fd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 19 16:38:46 2013 +0100

    Lower glib-2.0 requirement to 2.24.0.
    
    We don't use any of the recent glib features in libsigrokdecode, it
    compiles fine with 2.24.x.

commit 96732f09031ba9434ff7542e5b88834ab16db611
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 7 23:11:22 2013 +0100

    Makefile.am: Fix typo in 'ChangeLog' target.

commit d523eae6e0617e6ad5055738ea4864deacae4313
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 7 22:30:17 2013 +0100

    Cosmetics, fix typos.

commit 90a31a01c5afe1a51dbe6b5e90a88e54adfe7d1c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 7 22:25:33 2013 +0100

    NEWS: Add list of user-visible changes so far.

commit 9e1437a045ef0c7df7e847be148fac6b4c0bbb4b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 1 19:11:13 2013 +0100

    Small cosmetic/consistency fixes in the PDs.

commit 42515b0f25613499167b66c1d8a659526fb46b8d
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 1 13:04:16 2013 +0100

    constify srd_decoder_list() output

commit c78eeef14ff4c23d021adf7c439ea173a651db7e
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 1 01:09:46 2013 +0100

    srd_inst_new() options can be NULL

commit 2218c267081268865fc90ee607c4c6ced541bfed
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Dec 28 17:16:19 2012 +0100

    Fix compiler warning.

commit 4bd77045bbad0aa6bdb8172d396a8cea7225c07e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Dec 28 17:12:19 2012 +0100

    configure.ac: Add missing -fvisibility=hidden to CFLAGS.

commit 6ff4cd08a0e6d29dd7587173defb8bf17c0d9b62
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Dec 28 17:03:20 2012 +0100

    configure.ac: Fix CFLAGS settings.
    
    Don't override/overwrite CFLAGS in configure.ac, but rather amend it
    with (currently) "-Wall -Wextra".
    
    This properly allows users/packagers to do things like:
    
     ./configure (this will default to using "-g -O2" additionally)
    
     CFLAGS="-g -O2" ./configure (same as above)
    
     CFLAGS="" ./configure (no additional flags)
    
     CFLAGS="-g -O0" ./configure (disable optimization, e.g. for valgrind use)
    
     etc. etc.

commit 702fa251997d8e6ac4f71837e1e89d3d537df42a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 28 19:06:17 2012 +0100

    Add intial CAN protocol decoder.

commit 2b7e4c8b89d60394c186e73f55411d565d13abf6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 12 19:45:52 2012 +0100

    configure.ac: Also check for python3.3-config.

commit f2e114dedd0456eee1858b1fc9d129b70b1d627a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 21 22:56:01 2012 +0100

    mlx90614: "Kelvin", not "degrees Kelvin".

commit 0eeeb544e1ea3cef9669f98e7c0b19b8f73a9236
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 21 22:51:31 2012 +0100

    Fix bugs in "Invalid state" printing/exceptions.

commit 24c74fd30fb161837c5f8b01baf3c0fe2dfa4ed5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 21 22:43:02 2012 +0100

    All PDs: Name the files pd.py consistently.
    
    The Python module name is determined by the directory name (e.g. dcf77),
    the *.py file names in that directory don't matter and can be kept
    consistent.

commit 23f999aa996e54cd73cb54d5e254d1445d65847d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 21 22:29:43 2012 +0100

    configure.ac/Makefile.am: Alphabetical order.

commit 17db40087cb0b4ed76ee26cbc69458f598630fc6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 21 22:27:13 2012 +0100

    tlc5620: Refactoring, add initial LOAD support.

commit 92d1aba34bbe661b388e874fda0a41f477d3e30d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Nov 20 16:32:02 2012 +0100

    Initial TI TLC5620 (8-bit quad DAC) protocol decoder.

commit 1859c4804d04b58ba15a316eb16035c6bbb611fe
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Oct 16 14:44:15 2012 +0200

    Re-add HACKING file after repo split.

commit 55e5c4e10d5d3f18d7f42ea6415782461ff55123
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Oct 13 15:49:09 2012 +0200

    Small update for the pkg-config files and Windows.
    
    On Windows, cmake-using projects seem to have problems with the
    "-I/c/Python32/include" syntax we have in the libsigrokdecode .pc file.
    
    However, "-Ic:/Python32/include" works fine. So we just add both to
    support everything.

commit e0af499b4f5840190807636e536e1fb4956f71a9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 11 00:38:38 2012 +0200

    README: Update repo URL.

commit 6fe6b38cbc3075ebfe4527d07367f8a37c40418d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 11 00:34:27 2012 +0200

    .gitignore: Add missing entries.

commit d3b034e68fe544f823d66ead4c1561a33c9f135d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 10 23:37:19 2012 +0200

    README: Add status, update URL, small fixes.

commit b08272363131621c7571a02ac752e727e0ed54df
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Aug 31 11:34:46 2012 +0200

    srd: uart: Fix regression.
    
    Thanks Iztok Jeras <iztok.jeras@gmail.com> for the report.

commit 47ec18f56d174fbfc6cba9ff76c80518aa90cc46
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jul 31 23:48:13 2012 +0200

    Add initial SD card (SPI mode) decoder.
    
    This is work in progress, but it already works partially, and can be used
    for actual decodes of some commands.
    
    This PD stacks on top of the SPI protocol decoder.

commit f84d82c0aba0d249c085efa9532761941d0792b2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 28 18:14:21 2012 +0200

    srd: lm75: s/degrees Kelvin/Kelvin/.
    
    The temperature unit is nowadays called just "Kelvin", not
    "degrees Kelvin" (even though this was not always the case).

commit 1fd698dcf076c62e53e089be50572efae6b68f15
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 28 17:39:38 2012 +0200

    srd: avr_isp: Improve Chip Erase handling.

commit 77adad943111ab064f01838033dc9c94152f46c7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 28 10:51:32 2012 +0200

    srd: avr_isp: Factor out part numbers/names to part.py.

commit 3bd76451f01dface8df58828a2bbc242d3391db9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jul 26 18:55:02 2012 +0200

    srd: Initial decoder for AVR ISP protocol.

commit 1fe967f266313f26f76f5b94800aad64dfdb3f5b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 21 21:58:20 2012 +0200

    srd: onewire_link: Annotations shouldn't be ALLCAPS.
    
    While states in the PD should be ALLCAPS per guidelines (for
    consistency), the annotations that a PD outputs (and are shown in a
    console via sigrok-cli or in a GUI) should be "normal" human-readable
    text/formatting usually, i.e. not ALLCAPS.

commit 500560a16ed5ea35def72714d1e38a92dd74f5be
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 21 21:31:04 2012 +0200

    srd: maxim_ds28ea00: Factor out putx(), small fixes.

commit c07cbb92b129bef7a279169e1d7312811ee5e83f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 21 21:21:51 2012 +0200

    srd: maxim_ds28ea00: Cosmetics, cleanups.

commit 0afa64aefc96649c74770dbcbbcfb5934d99fe18
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 21 21:04:20 2012 +0200

    srd: maxim_ds28ea00: Fix to only handle DS28EA00.

commit 19dd61efcc1fe07c6a66f48f74b7926607f3a541
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 21 20:37:41 2012 +0200

    srd: Rename onewire_transport to maxim_ds28ea00.
    
    It doesn't make sense to have one "generic" onewire_transport PD, as
    this layer is very much device-specific and such a generic PD would
    have to contain an accumulation of all possible features and commands
    and handling code of all existing (now and in the future) 1-Wire
    devices, which is neither possible nor useful nor elegant.
    
    There are (for example) 1-Wire thermometers, RTCs, EEPROMs,
    special-purpose security chips with passwords/keys, battery monitoring
    chips, and many many others. They all have a different set of features,
    commands and command codes, RAM areas/sizes/partitioning/contents,
    protocols, and so on.
    
    Thus, the layering for 1-Wire PD stacks should look like this:
    
     onewire_link -> onewire_network -> <specificdevice>
    
    Examples:
    
     onewire_link -> onewire_network -> maxim_ds28ea00 (special thermometer)
     onewire_link -> onewire_network -> maxim_ds2431 (1kbit EEPROM)
     onewire_link -> onewire_network -> maxim_ds2417 (RTC)
     onewire_link -> onewire_network -> maxim_ds2762 (battery monitor)
     onewire_link -> onewire_network -> maxim_ds1961s (SHA-1 eCash iButton)
     and so on...
    
    So, renaming onewire_transport to maxim_ds28ea00. The non-DS28EA00
    specific code will be dropped and/or moved to other PDs on top of
    onewire_network later.

commit 5d7c5bcca4f770280cd4b58a8ea383fe97cf4a32
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 21 20:36:07 2012 +0200

    srd: onewire_network: Fix typo, command is 0x69.
    
    The 'Overdrive match ROM' command is 0x69, not 0x6d. Verified in various
    datasheets and the original 1-Wire/iButton spec.

commit 3f302d519e813af30a796a16f84e688550827ae0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jul 21 19:16:16 2012 +0200

    srd: onewire_link/network: Fix annotations, small cleanups.
    
    The annotation types are 'Text' and 'Warnings', not 'Link' etc. as the
    annotations of the onewire_link PD (for example) are already clearly
    from the link layer. The annotation types should be different things/formats
    of a specific PD's annotation output instead (like "Celsius" / "Kelvin"
    for some temperature sensor, for example).

commit 48b5974694d0a587f3d7bc9c58a2cc5bf917f644
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jul 19 21:40:40 2012 +0200

    srd: onewire_link/network: Reduce nesting level.
    
    Also, some additional cleanups.

commit 6188e4e41ef0d9468a1b9f9bad5637ca862d73df
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jul 19 21:26:50 2012 +0200

    srd: onewire_network: Cosmetics, simplifications, doc fixes.

commit e7720d6c73eb981e57753c9028fa3e9019676c50
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 18 22:16:19 2012 +0200

    srd: onewire_link: Cosmetics, simplifications, doc fixes.

commit 4dfff747ed380c8cda9410b5a7d3d97c59a64a9a
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Tue Jul 17 21:50:08 2012 +0200

    onewire: fixed an issue caused by renaming a transport layer command

commit 758d2ea98ad32adca6d1b76b982ec101ad363ac7
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Tue Jul 17 21:42:53 2012 +0200

    onewire: added new transport layer commands

commit 4633e258a4885a455a82c32548f7bb4d4b293e2e
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Tue Jul 17 19:33:44 2012 +0200

    onewire: updated documentation

commit a81787f62362e7ab8471c4c01baa6a806d624d58
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Sun Jul 15 17:46:20 2012 +0200

    onewire: added transport layer decoder, it does not do much for now

commit 671cc3009b967bd105757d0a0c267a68f18c58b9
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Fri Jul 13 23:55:44 2012 +0200

    onewire: updates to link layer timing

commit e540618c9d8d04ebb2e639ad1e650d689c89a818
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Fri Jul 13 22:59:12 2012 +0200

    onewire: combined reset and presence detect events, avoid unneeded overdrive exit message

commit 99f5f3b5ac31347795582872a5d92f3d9430c21d
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Tue Jul 10 23:14:35 2012 +0200

    onewire: the split of the protocol into layers works now

commit 9cfb16e8532e34b40edf1d980c7438afb31668e0
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Tue Jul 10 22:06:58 2012 +0200

    onewire: placing protocol layers into separate directories

commit d37961b0c723abba3d70c9ef1a94f78bf4245f7d
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Mon Jul 9 23:29:34 2012 +0200

    onewire: preparations for protocol separation between link and network layers

commit bcf36fc8681c2184b81601449c5fde25251e45cb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 11 22:27:07 2012 +0200

    srd: Drop 'usb' PD, replaced by two others.
    
    The new 'usb_signalling' and the 'usb_protocol' PD which stacks on top
    of it, replace the old 'usb' decoder.

commit 2fcd7c22852436c3226de9007e88cb305cce1b00
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 11 22:19:31 2012 +0200

    srd: Performance improvements for various PDs.
    
    Ignore/skip identical samples in most (low-level) PDs, as we're usually
    (but not necessarily always) only interested in pin changes.
    
    This yields a significant performance improvement for the PDs.
    
    The mechanism was already used in the 'i2s', 'jtag', and 'lpc' PDs, but not
    yet in all supported low-level decoders. The following PDs now also use
    this mechanism: 'dcf77', 'i2c', 'spi', 'uart', and 'usb_signalling'.
    
    Thanks Lars-Peter Clausen <lars@metafoo.de> for bringing this to our
    attention.

commit b5d3ea69628d49ab5b26e064559f7a237b46c086
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 4 22:03:34 2012 +0200

    srd: lm75: Output min/max/avg temperature in report().
    
    This is just a preparation for later, the report() is not hooked up
    anywhere, yet.

commit 86aac5f0a866f7a5bf5280ea44a291549554d661
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 4 19:52:29 2012 +0200

    srd: lm75: Warn about temperature reg. being read-only.

commit 5b30440e7eea86e4d7e5ebc40aa738faf4899970
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 4 19:35:59 2012 +0200

    srd: lm75: Generic handling of register reads/writes.

commit ffcfb70e83f3f001bf4751b5920db96d40b23c4f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 4 01:58:46 2012 +0200

    srd: onewire: Fix copyright line, and PD name/description.

commit f4d0363dc492cebc3bc37adfbffaff6fafd55ff4
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Mon Jul 2 23:54:52 2012 +0200

    some white space changes, changed handling of normal/overdrive timing, annotations now show duration

commit a2b13347895840f5e79238f504e0b6e322c133a1
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Sun Jul 1 18:35:43 2012 +0200

    added some ducumentation, shortened the ROM command decoder code

commit c08aea7e835a60f86e65c3b05bc8edff763c87a9
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Sat Jun 30 22:09:47 2012 +0200

    added some untested overdrive functionality, added some comments, modified timing values in annotations

commit 41e5c645a828eec6d1df30cc1e5840027cf787b2
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Thu Jun 28 23:07:16 2012 +0200

    commented out most of the TRANSPORT layer code, added some code for an improved timing calculation

commit 13329e2d81e17bd3aa1b48a5197f892f825abd2d
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Tue Jun 26 00:42:03 2012 +0200

    decoder onewire: added conditional network commands, some fixex to the transport layer

commit af5ec813b0bc118e28c04d6b61e110a2117002a8
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Mon Jun 25 22:03:37 2012 +0200

    decoder onewire: separated transport layer code from network layer

commit 0bd62eb1ffc0b1611f88c2cbf8e59b4be183113b
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Mon Jun 25 21:27:02 2012 +0200

    decoder onewire: some annotation cleanup

commit de2f532821bab1bef235ee65b38b0f4427bb9d5c
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Sat Jun 23 22:06:47 2012 +0200

    onewire decoder: removed some debug code, preparations for the next protocol layer

commit d2b6e141c5c6707897b19cfd7ccf4f3ffd21d501
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Sat Jun 23 21:29:03 2012 +0200

    onewire decoder: added search support

commit cf0f9df0a3a37f996a89d33098086cbaa3c27a5d
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Sat Jun 23 18:06:09 2012 +0200

    onewire decoder: added some byte related code

commit af6237856ef92e64f7eb0f7d150ee1e3785026cc
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Sat Jun 2 20:06:45 2012 +0200

    some fixex to the link layer, not final

commit 0631e33dc11b621914af0e76a1864567557ebdc4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jul 4 01:19:35 2012 +0200

    unfinished update to onewire protocol decoder

commit 48eee789a15ebd4c26d469a29dd79e7971f031fe
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jun 28 21:43:12 2012 +0200

    srd: i2cfilter: Output actual I2C packets.
    
    Change this PD from an I2C->databytes converter/filter to an actual
    pure I2C filter in the sense that both input and output is a valid I2C
    protocol stream.
    
    Also, change the EDID decoder accordingly, to use the new i2cfilter
    output.

commit 44f7ba18ee64fc89d0f69619076ff28a8bc6b31a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jun 27 20:02:25 2012 +0200

    srd: Add National LM75 protocol decoder.
    
    This shall support the original National LM75 I2C-based temperature sensor,
    as well as various compatible devices of other vendors, such as the
    Fairchild FM75, Dallas DS75, and so on.
    
    Currently only 9bit resolution is supported, and not all commands are
    decoded, yet. The register contents and temperatures are decoded
    correctly though, and can be output in both Celsius and Kelvin.

commit 387b6e3bb4340e20c978a8c47037d0bea9cca3c0
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Jun 23 01:17:36 2012 +0200

    sr/srd/cli: require glib version >= 2.28
    
    Needed for g_get_monotonic_time(). Thanks to Tomaž Šolc.

commit 2dc6d41c64a8235308e61b4f9b509c7fecb2b502
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jun 19 17:29:18 2012 +0200

    srd: Split USB decoder in two PDs (which stack).
    
    The 'usb_signalling' decoder just decodes symbols from D+/D- levels,
    handles bit stuffing and outputs the symbols and (potential) packets.
    
    The 'usb_protocol' decoder takes that output and tried to parse USB
    packets from it (SOF, SETUP, IN, OUT, DATA0, and so on).
    This is the base decoder on top of which various others will stack
    later on.
    
    The two new PDs are work in progress, so we still keep the old 'usb' PD
    around for a little while, until the two new ones are fully working and
    well-tested.

commit 3cf771a5179d94a156bef1aa95d7e05411dc82e2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jun 15 15:21:06 2012 +0200

    srd: usb: Add long description of the PIDs.
    
    Also, add missing ones which are mentioned in the USB spec. However, not
    all may be relevant for LS/FS signalling. But they're still useful to
    have in the table, so we can output warnings like
    
      "Warning: HS PID encountered, but device is FS???"

commit c2937021535a0ef11f2905e47447da3b589c65e3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jun 14 22:46:52 2012 +0200

    srd: usb: Preliminary USB low-speed support.
    
    Some of the differences of USB low-speed (compared to full-speed) are:
    
     - 1.5Mb/s datarate, not 12MBit/s.
     - The J and K states are swapped/inverted.
    
    Note: This is work in progress, further changes may still be needed.
    
    Add a 'signalling' option, which allows the user to select whether the
    PD should decode using the low-speed or full-speed signalling protocol.
    If unspecified, the default is full-speed.

commit 274e98d684d342ec307cce05ed878c21c3161ef4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jun 14 02:06:36 2012 +0200

    srd: uart_dump: Small simplification.

commit c1c1d34feecda97ab42fb7c3b9f7cb8a6fed190e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jun 14 02:02:42 2012 +0200

    srd: uart_dump: Fix file output (flush).
    
    We need to flush the file output buffer(s), lacking a stop() call in
    PDs at the moment, which could do the flush (or file close()) only once
    at the end of the PD "session".

commit a0153e903ba04cf9e6eb8c8a501508f4606efa6b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jun 14 01:14:10 2012 +0200

    srd: Add experimental uart_dump decoder.
    
    This PD stacks on top of the UART protocol decoder, and ouputs the
    decoded UART data in the "canonical" format, one byte after the other
    without any metadata (start bits, stop bits, parity bits, errors) and
    without any sample-numbers and such. This is basically what you would
    see in a terminal program, such as minicom.
    
    Per default it outputs to stdout, but using the 'filename' option
    and/or the 'filename_rx'/'filename_tx' options it can also output to
    files.
    
    Using the 'tx' and 'rx' options you can also select whether both, or
    only one of the data direction's data should be output.
    
    Example:
    
      sigrok-cli -i foo.sr \
                 -a uart:rx=0:tx=1,uart_dump:rx=no:tx=yes:filename=foo.txt \
                 -s uart,uart_dump
    
    This PD is just an experiment for now, it's possible that it will be
    replaced / reimplemented via a different sigrok facility later on.

commit e1f5df5bd1d4847f1ebfade8d71161f8a5ede862
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jun 13 19:34:11 2012 +0200

    srd: pan1321: Add 'Text' (short) annotation format.
    
    Rename the old 'Text' format to 'Text (verbose)'.

commit f9b0356bb8e5eeeb406c8be998f0746548a1e2dd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jun 13 19:26:02 2012 +0200

    srd: pan1321: Output correct start/end sample values.

commit 140149cb9803789402328b01a378d43d59c5d8a7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jun 13 19:09:05 2012 +0200

    srd: Fix non-working PAN1321 decoder.

commit 71077f34ffbd7d4015886a229edb2f2f827cb442
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jun 12 20:38:08 2012 +0200

    srd: Cosmetics.

commit 74244cdae2309d444034fc7647171afab9dddf75
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jun 9 18:34:24 2012 +0200

    srd: jtag: Document current (WIP) protocol output format.

commit b189c8b1d918b975300d77dd0569665cce5d5843
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jun 9 17:57:30 2012 +0200

    srd: usb: Fix bugs in the USB decoder.
    
    The samplenum/scount handling was broken recently (mea culpa), and the
    DP/DM probes were swapped.

commit fcd8c14d65034400bdd70aff28bda185f84d9196
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jun 8 21:39:09 2012 +0200

    srd: dcf77: Initial PON handling.

commit abbc128575797da7b56b08940174229ce8fa8a9b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jun 8 21:06:59 2012 +0200

    srd: dcf77: Bugfix, PD was broken.

commit 173c919ca0788371935ae5aa6fee1f692087337d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jun 8 19:44:44 2012 +0200

    srd: mx25lxx05d: 'Verbose decode' & 'Warnings' annotations.

commit b54936a95bb42d6763dd392267c5808677f1c4d0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jun 8 16:14:31 2012 +0200

    srd: mx25lxx05d: Add empty handlers for TODO cmds.

commit 781ef9450d82a9c7381aef17fb4974a1e49ec2d2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jun 8 16:07:02 2012 +0200

    srd: mx25lxx05d: Further fixes/simplifications.
    
    Also handle (not yet implemented) special-case command names such as
    'RDP/RES' and 'FAST/READ' correctly.

commit 4772a846dca34cedcfe99ffc09b4c24710e44b2c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jun 8 14:58:47 2012 +0200

    srd: mx25lxx05d: Simplify/generify cmd handling.

commit 69ff19c84c5a6836702803cac4d1aa27e083d716
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 31 01:15:55 2012 +0200

    srd: mlx90614: Small bugfix.

commit 365eeed279c3a2089dde413cdbb2a19a7726edb3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 31 01:03:54 2012 +0200

    srd: nunchuk: Enable PD now, it works fine.

commit b7ddc77bab6a47595940c0b4a169b0fa1727be9e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon May 28 14:57:51 2012 +0200

    srd: nunchuk: Support for the Nunchuk init sequence.

commit d628cdb521159d600cb19a3cd04eec28e07d9220
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon May 28 14:17:55 2012 +0200

    srd: nunchuk: Add verbose summary annotation.

commit 11860e5a81b1bf5e02b0a4f698b41cac5ede7a3e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 27 16:22:59 2012 +0200

    srd: nunchuk: Only output summary annotation if possible.

commit 739f1b7310b5b6926dfd8e9991bcb2fe057eca5d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 27 16:15:06 2012 +0200

    srd: nunchuk: Fix most annotation samplenumbers.
    
    Also, add a self.putx() helper method, as most annotations we have right
    now are exactly one I2C packet long (there will also be others later, though).

commit 5ea8b024da82871d4054356f8a645c8d61bbcd47
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 27 16:05:34 2012 +0200

    srd: Wii Nunchuk: Complete rewrite, PD works now.
    
    The Nintendo Wii Nunchuk protocol decoder, while it was in the repo for
    a while, didn't really work yet (among other things, due to lack of
    dumps for testing the code).
    
    This is fixed now, the rewritten decoder works fine with most dump
    files in the sigrok-dumps repo. A few minor issues remain to be
    added/fixed, though.

commit b7a7e6f5f4aa08ca340bbc316ac391b3a0d423ab
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 30 01:04:48 2012 +0200

    srd: Cosmetics.

commit bf20c75821129600da8ccd3ff5fe33d8f31812b4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 30 01:04:29 2012 +0200

    srd: Disable 'onewire' PD for now, until it's working.

commit a07128cc4b6c4cbdcc0c46263abe76d0e08e0882
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 29 20:30:15 2012 +0200

    sr/srd/cli/gtk: ChangeLog -> MAINTAINERCLEANFILES.
    
    If the (generated) ChangeLog file is marked for DISTCLEANFILES, it'll be
    removed whenever "make distclean" is called (and is then gone forever if
    you use the tarballs, for example).

commit 1227e5854dcf4f6b5cd2f9792f66ea994c3a7bad
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 23 01:12:11 2012 +0200

    srd: onewire: Fix incorrect format for annotation output.
    
    Should be a list containing:
    
     - Annotation format number (e.g. 0, or ANN_DEC, etc).
    
     - A list of strings (the annotation). If more than one string is
       supplied, the other ones should be short versions of the string.
       Example: [ANN_DEC, ["Foobarbaz", "Foo", "F"]]
    
       This is optional, and mostly useful for GUIs.

commit 080243a8224c8453c4993ad22f5bdc63e1dba2de
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 23 01:09:49 2012 +0200

    srd: onewire: Fix %d and %s mismatch.

commit 4a583ba42431fa2031a6bf39b249e4902973833d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 23 01:01:03 2012 +0200

    srd: onewire: Get optional 'pwr' probe value, too.

commit 0b8ea2bffbc907048c9a5ed5b563abc29f936f5a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 23 00:59:50 2012 +0200

    srd: onewire: Drop UART leftover comments.

commit 4fe36ec3f9bf5729de3e73a6edcb38e78652c961
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Tue May 22 22:27:25 2012 +0200

    removed some code copied from UART decoder, fixed some Python syntax issues

commit 39a0219a1ec59f1d49ef96c4f99121a071e6dfb8
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Wed May 16 22:01:32 2012 +0200

    unfinished update to onewire protocol decoder

commit 51990c45a1cdcf023f3bbe75a5003c87f8ac902b
Author: Iztok Jeras <iztok.jeras@gmail.com>
Date:   Tue May 15 23:15:26 2012 +0200

    commiting new unfinished 1-wire decoder

commit cd287c56af4e005e36faa26a88f6ef6dcbb2c902
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 18 21:42:29 2012 +0200

    srd: MX25Lxx05D: Fix inverted SRWD bit handling.

commit 7cfbf663d2acd5c1d289e1eb6f4aafbf76dc169d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 18 19:58:58 2012 +0200

    srd: MX25Lxx05D: Decode status register bits.

commit 87e574b787fc96a34fe7ea2fd20a4de06cde8c08
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 18 15:28:52 2012 +0200

    srd: MX25Lxx05D: Fix SE command.

commit 5ebb76fecc4ed07dd68a38dc55f3ba4ff34e7d70
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 18 15:05:03 2012 +0200

    srd: MX25Lxx05D: Implement READ command.

commit e4022299ba10e4ce4133da48932da695af4b9c99
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 16 23:06:21 2012 +0200

    srd: MX25Lxx05D: Implement RDSR and PP commands.
    
    Also, some small fixes and additional debug code/output.

commit 3e3c03309ee21d839f85e981d361ca77b08d5ba0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 16 22:48:47 2012 +0200

    srd: spi: Document output protocol, send CS# changes.
    
    As per guidelines in HACKING, the protocol "commands"/items should be ALLCAPS,
    thus change 'data' to 'DATA'. Also, fix MX25Lxx05D protocol decoder
    accordingly, currently the only one we have which stacks on top of SPI.
    
    Add a new 'CS-CHANGE' output protocol item, which is sent upon every
    change of the CS# pin value (either 0->1, or vice versa). This is needed
    by various higher-level PDs.

commit bdd820e3c0c2681b171fc7cc0198244f40a64b34
Author: Pekka Nikander <pekka.nikander@senseg.com>
Date:   Fri May 11 19:23:21 2012 +0300

    sr/srd/cli: Fix compiling with Homebrew.
    
    Add ACLOCAL_DIR setting and AM_PROG_AR macro for compiling with Homebrew
    under Mac OS X.
    
    Applies essentially the same change to
    {libsigrok,libsigrokdecode,sigrok-cli}/{autogen.sh,configure.ac}
    
    It may be that the same fix is needed for the other autogen.sh and/or
    configure.ac files, but that hasn't been tested and therefore not in
    this commit.

commit 1cc590f73673ce209ae41d6aa42ffa9a60649415
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 10 09:38:54 2012 +0200

    srd: JTAG: Enavble and get/use optional probes.

commit dd93276bf6b7537b65cab270f66666bf23fbc585
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 10 09:34:13 2012 +0200

    srd: Support for one or more optional probes.
    
    In the protocol decoder you always get all required probes, then _all_
    optional probes in the list of probes in the decode() call.
    
    Example:
    
     (r1, r2, r3, o1, o2, o3, o4) = pins
    
    In this case r1-r3 are required probes, o1-o4 are optional probes.
    However, the value of valid/used/specified probes will be 0 or 1,
    whereas the value of probes that were not specified/assigned by the user
    will be (at the moment) 42.
    
    The PD can check for a valid probe like this:
    
      if p in (0, 1):
        ...
    
    Or check for an invalid probe:
    
      if (p > 1):
        ...
    
    The value of 42 could change to be -1 or None later.

commit 29590b14fc508a0b951ea0b87e98f7741808bab0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 9 01:06:01 2012 +0200

    srd: Fix a few Doxygen errors.

commit a465436e627578f69c403de75a89522dfd883217
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 9 00:35:30 2012 +0200

    srd: Add usable one-liner descriptions for all PDs.

commit ee3e279c7558b388410d16cbce9db6c80e9c0c67
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 8 23:53:48 2012 +0200

    srd: Remove TODOs from annotation format names.
    
    Also, fix minor consistency issues, cosmetics, typos.

commit d274e1bfc2cd0795c62ce304fa01320af16ca396
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 5 19:51:30 2012 +0200

    srd: JTAG/SMT32: Some more improvements.
    
    Add APB-AP register offsets/names, refactor and fix some code, handle
    in/out APACC/DPACC better.

commit 32fd715cb7918dd13af14dcfd0a10e909cfac306
Author: Thomas Jarosch <thomas.jarosch@intra2net.com>
Date:   Fri May 4 10:18:22 2012 +0200

    Fix bracket placing
    
    Make it consistent with the rest of the code
    
    Signed-off-by: Thomas Jarosch <thomas.jarosch@intra2net.com>

commit c840e704fae9345c2a572a7efe4af8d5150c1a2d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 3 21:22:03 2012 +0200

    srd: JTAG/STM32: Factor out dpacc_data_in/out.
    
    Also, add a few code comments.

commit 457acc283457b248a0e669022a7d48103885bb03
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 3 19:19:01 2012 +0200

    srd: JTAG/STM32: Decode IDCODE[31:0] parts.

commit 8189738ed4ab7947a7b4a867bcde100cd84f44a7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 3 01:39:30 2012 +0200

    srd: JTAG: Also show the bitstrings in hex (for now).

commit e9656a0c6b99528656df8d18cd84643eb9491d63
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 3 01:39:16 2012 +0200

    srd: JTAG/STM32: Various improvements, fixes.
    
    Add APACC register handling, fix DPACC handling (esp. 'A' register size),
    ouput a warning upon reserved DAPABORT bits being non-zero, implement
    preliminary state machine, add various TODOs.
    
    This is still work in progress, not yet finished or working properly.

commit 66a8517ecfea370741c5789d664c9a965b5c0bc2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 28 19:24:57 2012 +0200

    srd: Add initial JTAG/STM32 protocol decoder.
    
    (not yet finished)
    
    This protocol decoder can decode ST STM32 specific JTAG accesses, knows
    about the STM32-specific registers and bits.

commit 6e7a0087c5b3db987f5798d821f9e98848b650a6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 29 00:46:02 2012 +0200

    srd: JTAG: Add some more docs.

commit 6d990fe1dbf441eb9f090898e7c3a57889b26aef
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 29 00:35:52 2012 +0200

    srd: JTAG: The TRST# (and SRST#) signals are optional.
    
    Don't handle them for now, will do this later.

commit e5edf39f10053515fb044314adf83820ad118c57
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 28 19:24:14 2012 +0200

    srd: jtag: Various bugfixes.
    
    Most importantly, both TDI and TDO are sampled at the rising TCK edge,
    and only upon transitions from SHIFT-DR to SHIFT-DR and SHIFT-IR to SHIFT-IR
    are we to save the TDI/TDO values (if I understood this correcly).
    
    Also, start out in RUN-TEST/IDLE state for now. This is useful if you
    have JTAG dumps which start "in the middle" somewhere, not in the
    TEST-LOGIC-RESET state. For full dumps, the JTAG software usually issues
    five TMS=1 cycles to force the JTAG state machine into TEST-LOGIC-RESET
    anyway, so this works fine too.

commit 557a143d8018ac5b25b0cdde99415433e3663f62
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Apr 26 22:51:26 2012 +0200

    srd: Add initial JTAG protocol decoder.
    
    This is unfinished, needs some more work.

commit 2002229d8ae50531d27eb9396803b6f4666d9335
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Apr 25 18:44:50 2012 +0200

    srd: lpc: Minor additions/fixes.

commit 17160de7e6022a2c05311d76e1082502bdf3a8a5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 21 19:58:47 2012 +0200

    srd: MXC6225XU: Bugfixes, add missing bits/registers.

commit d997c01abaa3e6b9b9de10976f3564a2b9f993a8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Apr 19 20:18:10 2012 +0200

    srd: Initial MEMSIC MXC6225XU protocol decoder.
    
    Not quite finished yet, but relatively close.

commit 271acd3bde96474c7ed5f822d470f555af8e7d93
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 17 23:28:12 2012 +0200

    Initial LPC protocol decoder implementation.
    
    This is unfinished and not tested, and probably not really working, yet.

commit 6b249180f1f15eb1d10c617f76b35d1535c0d4f7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 17 00:12:56 2012 +0200

    srd: Initial 0.1.0 release.

commit a4cb05f748a1104faba456217a762befc4faf2f3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Apr 16 23:16:00 2012 +0200

    sr/srd: SR_API/SRD_API/etc. is a no-op on MinGW.
    
    This avoids warnings on a MinGW build. The feature depends on ELF files,
    but MinGW/Windows uses PE files.

commit 53a07a6d287ecdd3a9831dd3778676edf6ee8a9e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Apr 16 23:10:26 2012 +0200

    srd: Quickfix for MinGW build issue.

commit 0c081c63de28e694eeaeee613e7bfa17bee81bc7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 15 20:58:08 2012 +0200

    srd: Add functions to query srd version(s).

commit 63b1026d367275c7171da7dc7d5ac675a420f485
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 7 18:14:39 2012 +0200

    sr/srd: Use/fix SR(D)_MAX_NUM_PROBES.

commit 387c7bc65c4e87d704d4f59e78218effbfadcc95
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Fri Apr 6 22:29:31 2012 +0100

    srd/i2s: Added links to documentation

commit 780a5beeaf36e7af20f4f37c0f13473f3f9bb1d3
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Fri Apr 6 22:01:30 2012 +0100

    srd/i2s: Added sample-rate and bit-depth to report

commit abbbd2ba56a70b9978c4f31a4988102364807997
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Fri Apr 6 20:11:01 2012 +0100

    srd/i2s: Print a warning on receiving a malformed word

commit 2ab416c214e248be8ece49bab2cabf2b28954cca
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Fri Apr 6 20:01:02 2012 +0100

    srd/i2s: Initial implementation

commit 5626f8b4101330194c5b70a59ee3579087b7f7a5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 31 17:06:03 2012 +0200

    srd: Disable 'nunchuk' PD for now, it's unfinished.

commit 4180cba9a51acd32f69f0f8628bb746ea3e12be6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 31 17:04:50 2012 +0200

    srd: Decoders: Fix/simplify samplenum usage.

commit 394b74dca66d540cae154dfeb3bea4253db4304d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 31 12:09:37 2012 +0200

    sr/srd: Fix 'make distcheck'.

commit 4b442477602ef5938c4826925e21f38c8f1e13a9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 31 12:05:20 2012 +0200

    sr/srd: Add ChangeLog to ignore list, it's generated.

commit ab13922ca9fa2fc03e2a355166af5732f8e8a009
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 31 11:38:38 2012 +0200

    srd: Generate ChangeLog from git upon 'make dist'.

commit dc17bafa2f645366d4c1f2bb1be4e787def80026
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 31 11:37:19 2012 +0200

    srd: Add NEWS file.

commit 14b42dad483c98b3dbf7b389e60b9cede1cd122f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 31 11:31:14 2012 +0200

    srd: SRD_PACKAGE_VERSION_* for consistency.
    
    No need to use the LIBSIGROKDECODE_ prefix here when we use SRD_ everywhere
    else. Also, better distinction between package version and lib version.

commit aafeeaea1731a1e0c8322527ccb0e4cdcc5ffb01
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 25 15:08:16 2012 +0200

    srd: Some more (optional) consistency renames.

commit b33b8aa56ec27edf57cd7dc3d735370f60bfe13d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 25 14:49:11 2012 +0200

    srd/cli/qt: Some more API consistency renames.

commit 122e9a90a54e034b93f554938896983d293edec1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 25 09:39:44 2012 +0200

    srd: PDs: Kill obsolete 'longdesc' entries.

commit 0736708e58a10e1903c47d72fee5343cccb1ce95
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 24 22:05:59 2012 +0100

    srd: Add .gitignore file.

commit 03a66522d5aef7b49fbf63e4da475c4ab8b1fe2e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 24 19:41:40 2012 +0100

    srd: sigrokdecode.h: Add version macros.

commit 8f01b6bcc58e25c92a263f99283748d29421cacb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 24 17:52:48 2012 +0100

    srd: Rename sigrokdecode.h to sigrokdecode.h.in.

commit 363252b482d189c9cca596b146f5fb6ead6e3412
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 24 09:37:55 2012 +0100

    srd: List 'report()' in all PDs for consistency.

commit 6c36501de9d0b91a203d4943b16d0a63e1c98d9e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 21 22:38:08 2012 +0100

    srd: Drop unused inputformats/outputformats entries.

commit 0575fc98b5787d4f207064d3a69f5d3cf6922fc2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 21 22:33:51 2012 +0100

    sr/srd: Remove API warnings from READMEs.
    
    We'll have a libsigrok and a libsigrokdecode release soon. After that,
    any API changes must be properly documented and reflected in the
    SO version (and package version) numbers of the libs.

commit 9c661c498eaa200304a770c469ec180a2a6c0485
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 21 19:40:07 2012 +0100

    srd: Drop ebr30a_i2c_demux in favor of i2cdemux.
    
    The i2cdemux protocol decoder is the more generic version of the
    obsolete ebr30a_i2c_demux decoder, and should be able (now or later) to do
    everything that ebr30a_i2c_demux can do.

commit 5a2c4dc462310a8a031abda7e6cbb0532873ec55
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 21 19:28:43 2012 +0100

    sr/srd: Small fixes, constifications, doc updates.

commit abf77a8df245c31a8beb80be094972c4d188adab
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 21 18:40:25 2012 +0100

    sr/cli/gtk/qt: Fix package version numbers / docs.
    
    The next (and first) libsigrok release will be called 0.1.0.
    
    The next (and first) libsigrokdecode release will be called 0.1.0.
    
    The next sigrok-cli release will be called 0.3.0 (as we already had a 0.1
    and 0.2 release of sigrok-cli; those did not yet use the libs, though).
    
    sigrok-gtk and sigrok-qt didn't have any releases yet, so their version
    numbers are set to 0.1.0.
    
    Also, consistently use three numbers/digits for our version numbers.

commit 96c52595ac5cdf7594a639af7ef682411917f52a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 20 18:02:45 2012 +0100

    srd: srd_exit(): Set pd_list to NULL after freeing.
    
    This will ensure that any subsequent checks for pd_list == NULL work
    properly.

commit 29dad0ac4acd7174cee00556f6104594497fe970
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 20 17:58:25 2012 +0100

    srd/cli/qt: s/srd_session_feed/srd_session_send/.

commit 8ad6e500312084cd4ae43c7bda476cc7370cda20
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 16 15:25:53 2012 +0100

    srd/cli/qt:s/decoders/decoder/ for consistency.

commit abeeed8b6da45e1854bc151a8175836b5ca38e34
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 16 15:12:54 2012 +0100

    srd: Constify lots more parameters.

commit 361fdcaafec8ddd37f0d381204e4c2a22c56b238
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 15 22:00:24 2012 +0100

    srd: Cosmetics, fix/add Doxygen comments.

commit ed2306a6f29bc4d85f5f248c83fff252b22c60a5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 18 14:16:50 2012 +0100

    srd: Fix typos.

commit a759e1a143122dd73f9051a3d48c4846839c340e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 14 22:12:08 2012 +0100

    srd: Drop unused ARRAY_SIZE/ARRAY_AND_SIZE for now.

commit f9d87f641e55cd643037d81d7221ddc169cdae6b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 4 10:55:30 2012 +0100

    srd: I2C: Update PD protocol docs.

commit 1541976fcac03a780b5d27046f5f8884973c08ae
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 4 10:40:58 2012 +0100

    srd: PDs: More cosmetics.

commit 2b7160383cc189f721600c04be17a980e216dfd6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 4 10:13:29 2012 +0100

    srd: PDs: Use strings for states, too.

commit 09059016e02db5d83b4862a3adcf8ddf101f6991
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 3 14:39:14 2012 +0100

    srd: PDs: Consistency/cosmetic fixes.

commit 0082d592076fdc3fe06a760d432a48163ee0bd97
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 3 14:13:21 2012 +0100

    sr/srd: s/handler/callback/.
    
    We should consistently use the same name for the same thing.

commit 41a5d9624022856f4ef357c1fdce041a9774a99c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 29 22:32:34 2012 +0100

    sr: Name all callback data 'cb_data'.

commit 4c1d067068fdb9e5f723b3548bddb64e0b06fc36
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 29 21:56:24 2012 +0100

    sr/srd: Consistency fixes for callbacks.
    
     - Callback function pointer typedefs end with _t.
    
     - Variables holding callback functions are named 'cb' everywhere.

commit 1b75abfdd3e00ef590c9d1905863f6f2cb5a8632
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Feb 28 14:33:45 2012 +0100

    srd: I2C: change format to have ACK/NACK bits as separate events

commit 5154cadf4a143f6157a54aa4d2097dffe78c0f29
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Feb 28 02:01:41 2012 +0100

    srd: fix SIGROKDECODE_DIR env variable brokenness

commit 708b3b84ea6b9ba3a60d5aa2a0ad56613ad8bbfd
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Feb 28 01:16:29 2012 +0100

    srd: properly return status code

commit e4f822680083b65e34b9c8b091025f66ea6efde6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Feb 28 00:42:45 2012 +0100

    srd: PDs: Whitespace and cosmetics.

commit 9d122fd5d66aa178547ec4222ab5f526f8a14cf7
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Feb 14 03:43:28 2012 +0100

    srd: rename public API functions to srd_thing_action format

commit 9b37109da365335c1b6da14f073513c7855872d8
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Feb 14 03:28:53 2012 +0100

    srd: don't load all protocol decoders unless we really need to.

commit 582c8473ffd456dfb0796974ef2c0b1b78de38a8
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Feb 12 14:55:20 2012 +0100

    srd: last public/private fix, and docs for all publis functions.

commit 12243c22bf01506ac3b220bfe38384db9903756c
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Feb 12 14:18:32 2012 +0100

    srd: finish up public/private API

commit ee4ed2279e3d3d4b2911aa2a1ed4effcbd1bbe60
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Feb 12 13:47:07 2012 +0100

    srd: no public API functions use python-specific arguments now

commit 65e1c7d091956e42aa4d97d7b639e10076e6f8ff
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Feb 12 04:07:22 2012 +0100

    srd: extra module path can now optionally be passed to srd_init()
    
    Also environment variable SIGROKDECODE_DIR, if present, is prepended
    to the module path.

commit e09023b9dc8f1d6783a3bf6b05402a88060a795f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 11 22:09:18 2012 +0100

    Rename 'void *' callback parameters to 'user_data'.
    
    This is better, both for consistency reasons, and also because 'data' is
    a bit too generic and might be confusing, especially since we have other
    'data' fields in the code in various places.

commit ae53d0a5971121e03a07c469e39ff3cfa34a2111
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 11 22:38:17 2012 +0100

    srd: Every callback should have a 'void *' parameter.
    
    This is required in various situations and for various lib users,
    especially so GUIs which might want to pass specific info via this
    mechanism.

commit 56bf4c20afc2785f8cdf75e386159e23fa2c1acf
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 11 20:06:46 2012 +0100

    Use g_try_malloc/g_free/g_strdup consistently.
    
    Avoid plain malloc()/free() in sr/srd, especially in the API calls.
    Also avoid g_malloc*() in favor of g_try_malloc*().
    
    Use g_strdup() instead of strdup() so that we can use g_free()
    consistently everywhere.
    
    Exceptions: Stuff that is allocated via other libs (not using glib),
    should also be properly free'd using the respective free-ing function
    (instead of g_free()). Examples: Stuff allocated by libusb, libftdi, etc.
    
    Also, use sr_err() instead of sr_warn() for actual errors. sr_warn() is
    meant for non-fatal/uncritical warnings.

commit a8b72b05cad9fd63e52079acb395a6694ed5f6b6
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Feb 11 18:06:56 2012 +0100

    srd: rename all instance to inst

commit 7b56d7a5d272879bc2b48f751935fda86347c438
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 11 00:43:26 2012 +0100

    srd: Update README.

commit 511e2123038c0df994ecadb1454d0869dc256698
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Feb 10 09:29:38 2012 +0100

    srd: s/python/Python/.

commit a61ece2022f9e765d65dcd0ed22dba7e71e138a2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Feb 10 00:06:58 2012 +0100

    srd: Add/improve g_malloc() error messages.

commit a33a0e3bd59214cc4ddb021389f5c2ad91134587
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Feb 9 19:17:54 2012 +0100

    srd: Move private symbols to sigrokdecode-internal.h.

commit 55c3c5f4b9d38b85fae2c39a8a6150b4c50b1bdb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Feb 9 19:11:53 2012 +0100

    srd: Add/use SRD_API/SRD_PRIV macros.
    
    This is not yet finished, more things should be made private.

commit c9bfccc6347e05e6faba6f27fe0e50a7d55f531c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 8 22:39:30 2012 +0100

    srd: Cosmetics, whitespace, coding-style fixes.

commit 41106a07486f46de5dac2fd55233691172d4fe59
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 8 19:52:43 2012 +0100

    srd: More consistent log related function names.
    
    Also, fix typos, constify some parameters, add more Doxygen comments.

commit 3b5839d56023d6105ea58766313f26c15f6d0877
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 4 10:41:30 2012 +0100

    Project-wide consistent naming for #include guards.
    
    Document the naming scheme in HACKING.

commit 63d62a5c6aa3c66b6b3c0662155752ccb123ee23
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 5 12:54:44 2012 +0100

    autogen.sh: aclocal support for Windows XP/Vista/7.

commit bb590e071c0f6554695334b5da804c75267541fb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Feb 2 09:28:56 2012 +0100

    srd: Add explicit srd_pd_output_callback_t typedef.

commit 7f7ea759ebdc854beb0468b410f7d2382f291a4f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 1 23:14:29 2012 +0100

    srd: Properly use append() for appending to lists.
    
    This is not only the canonical way to do it, it's also quite a bit faster
    and less memory-intensive than using '+='.

commit 156509ca42f0df2380c9f205f9aad337e1a07802
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 1 22:23:03 2012 +0100

    srd: Move all protocol docs to __init__.py files.

commit 94bbdb9a4146ec5eaa56411706dc92de3a92f2d8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 1 21:57:43 2012 +0100

    srd: spi: Use strings for most options.

commit a7fc4c342689ab3b42cd8e662612e12aee8a2bf3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 1 19:47:50 2012 +0100

    srd: uart: Use strings for most PD options.

commit 8e828d2a29154fb9cae8c9c38d27c60f820dd584
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 1 19:24:21 2012 +0100

    srd: uart: Move protocol docs to __init__.py.

commit 1ccef4616d2c6d6fcdfee6a72d051387625678ca
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 1 19:07:11 2012 +0100

    srd: uart: Add missing initialization.

commit b9e44d1e0964f5c6c99ec52b68a5a6e0bc1ac633
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 1 18:59:18 2012 +0100

    srd: uart: Use strings for packet types.
    
    While this has a (small) performance penalty compared to using integers,
    it has the advantage of not requiring the use of magic numbers which
    need to be declared in both the UART decoder and all decoders which
    stack on top of UART.

commit b77614bc977475102062ac5d1c8fe8e55349315a
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Feb 1 00:13:42 2012 +0100

    srd: rename extra_probes to optional_probes in all PDs

commit dcdf48838748df02bc3028c4a26ea6d4506ee542
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Feb 1 00:07:55 2012 +0100

    srd: rename extra_probes to optional_probes

commit fa12a21e3c779df4e33dcfe394e2ded3f96028ce
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 31 23:48:10 2012 +0100

    srd: free all decoder instances when unloading decoders

commit dbeaab27a4537863a5d7a8180af2de57ba55f1d4
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 31 22:35:22 2012 +0100

    srd: avoid POSIX_SOURCE warning

commit d3c8af667a6f2677c3ecc52b5249f24d9d0b356c
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 31 18:07:59 2012 +0100

    srd: remove obsolete DDC-only I2C filter

commit 61c2bd366eba64b50009c604c382c547f6cfdd88
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 31 18:05:11 2012 +0100

    srd: add generic I2C filter PD

commit 12b5e28ecccaaff12a4339867b5bbcd533b1e1fc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 30 20:17:15 2012 +0100

    srd: Add missing <inttypes.h> #include (for PRIu64).

commit 2a706c20b73ea466a16c7f5ae6a8b0d44e470053
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 31 00:48:07 2012 +0100

    edid: properly deal with leading I2C crud + small fixes

commit 6fff00eee1dd62477cd2708df480b985ef416a67
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 30 01:23:35 2012 +0100

    srd: removed stray malloc()

commit ad022d94ef9a32428fe44710e7eff311991fd9e6
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 30 01:22:27 2012 +0100

    srd: clear objects after final decref, so it doesn't happen twice

commit 1063646c74946527c6e8d23790f6fd8501f5665c
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 29 20:13:43 2012 +0100

    edid: move PD docstring to __init__.py
    
    also minor code cleanups

commit 91b2e171b0e84764f078414cd9445a0133bd653f
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 29 18:43:45 2012 +0100

    srd: add EDID 1.3 decoder

commit 70ccb1ce0cf0ae5e125c651a2ed7947ae0e58b19
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 29 18:42:10 2012 +0100

    ddc: add protocol output

commit 066ecdabd251d503649850f09ff2bf161fc3364b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 28 21:26:56 2012 +0100

    Update/enforce/document our build requirements.

commit 6f858319a4dd20b243e5584ab7a60e54f5a50471
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 28 21:26:26 2012 +0100

    srd: Drop unneeded check, g_free() handles NULL fine.

commit fd4aa8aaed83f9f0041647b913e48ef95c1aab55
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 28 19:08:13 2012 +0100

    srd: PDs: Cleanups, simplifications, small fixes.

commit afff6b1a0be19c4f0976309cae571a0c3e41c157
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 27 18:47:27 2012 +0100

    srd: mlx90614: Show more exact temperature.

commit 1c2b0d0b82a48bd323b46440f17b049090cabc79
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 27 18:38:16 2012 +0100

    srd: Use PRIu64 for uint64_t values.
    
    Using %d seems to silently work on Linux, but leads to a segfault on
    Windows/MinGW.

commit ce46beed20cef3262cdf8a921fdf7632f0356227
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Jan 27 08:21:58 2012 +0100

    srd: add more debugging around probe mapping

commit 568112ce6de82135b0bfd7b5319ffdd611e6b030
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Jan 27 01:14:01 2012 +0100

    srd: use format string where one is expected

commit bc1385a6d999c0011050b1cbd275879a928f4252
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 26 23:48:11 2012 +0100

    srd: Melexis MLX90614 Infrared Thermometer decoder.

commit 7a1712c4fd07f64222079acd5ec3fa3348a5cb15
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 26 01:15:10 2012 +0100

    srd: Remove manual log domain ("srd: ") prefixes.

commit 3a8b2e789262545fe409f95f69319b80e66aac13
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 25 11:00:04 2012 +0100

    srd: log: Support for setting a log domain (prefix).

commit ac941bf91b1a4f75ed793ca1547a1bd75bac0a1a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 25 22:25:25 2012 +0100

    srd: UART: s/parity/parity_type/.

commit decde15ecb51b3326b31019af61e0a729b9c61d0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 25 22:11:38 2012 +0100

    srd: All PDs: Various fixes, cosmetics.
    
     - List all API methods and metadata variables in all PDs to make things
       easier and more consistent for new PD writers.
    
     - Fix probe assignment in a few PDs.
    
     - Raise exceptions upon invalid states of the PD state machines (bug).

commit 385508e9b12d87519f9144a67e7682b46a592200
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 25 19:02:11 2012 +0100

    srd: mx25lxx05d: Cleanups, add optional probes.

commit 66e4c27c13b2e7ba857c9c9bd9a33a8b3a5cb0fa
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 25 02:52:27 2012 +0100

    srd: Support for registering a custom log handler.

commit ed5f826a3fe1186f9a2249ca897b836111145116
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 25 01:49:32 2012 +0100

    srd: Add Epson RTC-8564 JE/NB protocol decoder.

commit 2072ae0c89fec6b06cc579a6c584e67e2a59f7ec
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Jan 25 01:49:35 2012 +0100

    srd: properly recurse into PD instances when looking for one.
    
    This fixes the confusion between parallel and linear stacks.

commit 58572aed02d81e2cc75749c2c4b516538b5ca9b9
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 24 03:51:02 2012 +0100

    sr: better error reporting

commit b3b2cae8e36ca939f1a8535e95431ceefa8a1cb8
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 24 02:02:03 2012 +0100

    srd: change struct srd_pd_output to have a path to the DI, not the decoder.

commit 9d9fcb375d7702082146bf917a5d19cc83480eae
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 23 19:58:06 2012 +0100

    srd: Prepend (not append) PD dirs to sys.path.

commit be873260307fb879200ace642c15164c39234007
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 23 19:34:23 2012 +0100

    srd: deal with invalid probe specifications better

commit 0146063014a7dba729ce2378e30ea9d501ac0ae8
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 23 05:03:25 2012 +0100

    srd: i2cdemux: add missing Makefile.am

commit 2086c68463fef416fd9a48dac5e1aa7fa593308d
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 23 04:51:33 2012 +0100

    srd: use new exception system everywhere

commit ec871a279893cfe0ab378eddc0a9f9bcccc44925
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 23 02:20:51 2012 +0100

    srd: add python exception catcher, which routes to srd_err() and srd_dbg()

commit 4fadb1282f5e9aa41abcb67e7d90cdc4a9b2628d
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 22 03:29:22 2012 +0100

    srd: minor code cleanup

commit d567790b9c0ab30b18aceb92e6714e631200e9b9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 22 14:28:48 2012 +0100

    srd: Add generic i2cdemux protocol decoder.

commit d906d3f978233458fc73b56fb232352affd1b433
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 22 02:51:49 2012 +0100

    srd: make all debugging and error reporting uniform

commit 86d6a21e9913d38cc1ae2ebd279ed2ce61fb548f
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 22 00:53:24 2012 +0100

    srd: use more appropriate calls for integer constants

commit 19a90bab1b8d88c173ce29f8243747740d280164
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Jan 21 19:45:04 2012 +0100

    srd: better check for PDs with no defined probes

commit 4244f8252706c5715a5598c51914f4f8d20c5e84
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Jan 21 15:04:47 2012 +0100

    srd: fix probe mapping

commit f38ec2855ce41154bc1035dd7f1ab9a21f411f0d
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Jan 20 22:25:42 2012 +0100

    srd: support for mapping probes

commit 11ea8ae1b2279566125978766735a26252dff412
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Jan 20 22:23:27 2012 +0100

    srd: decoder class structure check belongs in module loader

commit d42fc6ee118ff673cef1c4ffbce0c7f603519f63
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Jan 20 22:08:22 2012 +0100

    add py_dictitem_as_str(), more checking in py_attr_as_str()

commit 4a04ece49f00ba2be5c16a55547b1a8d7e9519f9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 20 01:16:47 2012 +0100

    srd: UART: Update to new options API.

commit 8a7ce2a3f77bae0a4a6aa08751bdd9a963168192
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 20 00:40:47 2012 +0100

    srd: SPI: Convert to new options API.

commit eb2bbd668758f00afccda9a04690e84b56cc99b1
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Jan 19 17:12:02 2012 +0100

    srd: fix decoder loading, and back to using glib dirent wrappers

commit 1d552cd37d050b346adccdcd61e1ee695d5a6d52
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Jan 19 15:05:38 2012 +0100

    srd: don't check directory structure a PD is in, but what it implements.
    
    Also added extra check to require start() and decode() methods in the
    PD's Decoder class.

commit 21481b6609641fb3076290dad915a3a6259ce05a
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Jan 19 09:59:00 2012 +0100

    srd: simplified error checking, in preparation for more of it

commit 130ef08ad86df267f14901a895ffd5ee46696c72
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Jan 19 00:00:02 2012 +0100

    accept only supported types in decoder class default option values

commit 639c56898e88aae99a7b91a5c6d2b7870956d648
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 19 00:21:00 2012 +0100

    srd: Windows/MinGW Python path format fixes.
    
    On Windows/MinGW, Python's sys.path needs entries of the form
    'C:\\foo\\bar' instead of '/foo/bar'.

commit e431d9cc4afa5e695efea61fb769f20d86f0bbe0
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Jan 18 22:59:14 2012 +0100

    srd: always set default options, regardless of overrides

commit 79c4f9b987329587fd388d49015921ab4f9553bd
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 17 03:39:28 2012 +0100

    I2C: no need to copy default option values over from the class
    definition anymore: it happens automagically.

commit 0bdadba205a6d7688a2bb8d98ab342abe22acd6e
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 17 03:37:34 2012 +0100

    SRD: support setting per-PD options
    
    All decoder class options are automatically copied to a newly created
    instance with their default value, which can be overridden with the
    GHashTable passed to srd_instance_new().
    
    Currently, only strings and integers are supported as option value
    types. The type is set by the default value in the decoder class, and
    enforced when overriding them. Integers can be specified in any
    format python allows: 10, 0x0a and so on.

commit 7b14cee1e2b43738a13108180dee73a08cbde87b
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 16 05:01:05 2012 +0100

    srd: don't decref an object we don't own

commit c49750787d045582dc08419b1312770a57fb845f
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 23:21:22 2012 +0100

    I2C: properly use sample numbers in proto/annotation output

commit 86528298fa2abfe825d6763b806095972e8bd8f4
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 23:20:39 2012 +0100

    srd: PDs now get a logic feed with sample numbers, not time/duration

commit a2c2afd9357fab233a4f09531618faa81d54d4d9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 15 20:41:46 2012 +0100

    srd: Add 'api_version = 1' to all PDs.

commit 64c29e28e0efa184319f7831b3eca18c7f73f7d0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 15 15:36:01 2012 +0100

    srd: Each PD now has its own subdirectory.

commit d0a0ed032e0120140a28e93ac42753786bf0087b
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 14:44:40 2012 +0100

    move sigrokdecode.Decoder type to its own source file

commit 56270764cd4dd3d255979a283092765057a0d3de
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 15 13:16:48 2012 +0100

    srd: Decoders: Remove author/email fields.
    
    We decided it's too much hassle to deal with this in GUIs (multiple
    fields, multiple name and email addresses and copyright years etc. etc)
    with too little gain. The authors/emails etc. are already in the .py file's
    license header and in git anyway.

commit 9e587cc9d4db0da9bdfffbc023d848dd59df74b4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 15 12:50:07 2012 +0100

    srd: Bring back small stuff lost in the merge.
    
    Also, use ''' for docstrings to be consistent with the rest.

commit 876f83fd3396ce581e700741e58414c2f4f6277e
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 04:31:23 2012 +0100

    srd: rename srd_usb to what it thinks it's called

commit 9e681b1b7f7c1d6d4d56ad476647e21fd6f835c6
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 04:31:23 2012 +0100

    srd: rename srd_usb to what it thinks it's called

commit e7edca072b38affaa80dec93d21ba19a1fbd257e
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 04:24:15 2012 +0100

    srd: handle missing module docstrings better

commit 87998e973f16206be1391f87ccae7c2756baf353
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 04:02:21 2012 +0100

    CLI: when invoked with only -a <pd>, the PD's documentation is shown.

commit 451680f192b97d652fb02186f5201efa0d668a2a
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 03:58:27 2012 +0100

    srd: clean up module loading/unloading, and the decoder struct
    
    PDs are now checked for a proper Decoder object, with at least the
    required attributes.
    
    The author, long_desc and func attributes in the decoder object are gone.

commit f8e458577f72a5b13fa83b6cd3675a7eefc83072
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 15 03:43:01 2012 +0100

    move srd_Decoder to sigrokdecode.h, and rename it in line with srd_logic

commit 8892c76856f22acf6eafc66c6a5f86ab7cb8bddb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 15 02:17:10 2012 +0100

    srd: Add ebr30a_i2c_demux PD (I2C in, 3 x I2C out).

commit ba24aaf7608bc5f26705b2747a2f7c05c52a7820
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 15 02:01:37 2012 +0100

    srd: I2C: Small fixup.

commit 5dd1c937a764a1517a8e12d10af6c3fcb9c8b3c9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 15 01:22:19 2012 +0100

    srd: pan1321: Support replies from device.

commit d9c0d0a34a606bd1c96b468cbce4f0f8397e291d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 23:17:40 2012 +0100

    srd: pan1321: Update to new UART format.

commit 97cca21f9423164b0ef3fe52c529f1920cc669a0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 22:51:07 2012 +0100

    srd: UART: Handle both RX and TX pins.
    
    Also, experiment with readability improvements a bit.

commit 526e580446dd45c3cb6811dd69a31eaff54e908e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 21:44:01 2012 +0100

    srd: Separate author/email fields for now.
    
    This will be needed in GUIs to easily handle/display the values without
    the need for additional parsing.

commit 3d3da57d7e7a7414e012e86dde32530e01b4dc45
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 21:41:41 2012 +0100

    Improve 'longname' PD strings, use in 'sigrok-cli -V'.

commit a2d2aff27099449deb1a791b3adc05ee610861e6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 21:34:06 2012 +0100

    srd: I2C: No need for underscores in string cmds.

commit ea90233eb2e76cca10adf3ed3c016c5b6cb993e1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 20:48:55 2012 +0100

    srd: Consistent PD option defaults handling.

commit acba48696ef9dd516d2cdf90f89e099deb7e1a73
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 18:40:43 2012 +0100

    srd: SPI: Add support for different CS# polarity.

commit 01329e88ee576eb511528e691ddee23998d2de21
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 18:34:07 2012 +0100

    srd: SPI: Output warning annotation if CS# de-asserted.

commit c94c8c918152004e7bed50a50dcf7be233674b9d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 18:27:54 2012 +0100

    srd: SPI: Support sampling on rising/falling CLK edge.

commit cc2047464a6b01474721557f32acafd9f1f00cb9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 18:09:11 2012 +0100

    srd: SPI: Add support for arbitrary word sizes.

commit 1ea831e97a3c65b820c049220480def1636cb0b5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 18:08:00 2012 +0100

    srd: SPI: Add support for bit order option.

commit 0db89774dee57db500f270985f73f3bb2dcdbb42
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 18:02:33 2012 +0100

    srd: SPI: Set default PD options.

commit 0c3089c1c49e51e588dd264abafb05efdd44d0c8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 16:19:46 2012 +0100

    srd: SPI: Fix typo.

commit 238b4080f5de6e12f36d66c93e0fa8afb9688233
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 16:18:29 2012 +0100

    srd: SPI: Sketch of the PD options (unused).

commit 9b4d8a5753db586648abfe7897c29ad5d5bc77a5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 15:57:27 2012 +0100

    srd: mx25lxx05d: Update to new API, make it work.
    
    This works (partially) with output from the 'spi' protocol decoder.

commit d6bace96eda41684bdd4136a009bb261d36e8fd2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 15:56:44 2012 +0100

    srd: SPI: Handle both directions, output proto data.

commit 4e570fa925c5e879b34dfc6a1817bb4fad7b3385
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 15:25:28 2012 +0100

    srd: SPI: probes[]: Add missing MISO and CS lines.

commit de9cee24cf52e42e51434ed542d4506c1fc0901b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 15:21:03 2012 +0100

    srd: SPI: s/sdata/mosi/.

commit 4917bb31c6a1e3e77418ac446650a6d9aa3e528b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 15:18:41 2012 +0100

    srd: SPI: s/rxdata/mosidata/.

commit a10bfc48b04de832a62a474b34b23f8f24662e9a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 15:17:33 2012 +0100

    srd: SPI: s/rxcount/bitcount/.

commit b1bb5eed4ad056f760bec83e784699dabbd72a18
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 02:22:46 2012 +0100

    srd: Fix/update SPI protocol decoder.

commit dbbee4bf6c71d7b3403e465a9dd481962fe7c77b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 01:48:20 2012 +0100

    srd: Fix transitioncounter protocol decoder.

commit bbe99ad5311855f2c1e12195ba8632ca8524b654
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 01:32:47 2012 +0100

    srd: USB: Move pids dict to global level.

commit 0690a587c96796a4ff1aca2813d45e24a4314504
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 14 01:29:52 2012 +0100

    srd: USB: Update decoder to new API, small fixes.

commit 2b0915c197388c3c40f18875b375b5ca8c9d9387
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 13 18:49:09 2012 +0100

    srd: Add initial DCF77 protocol decoder.
    
    Works quite well already, but not all details of the protocol are
    implemented, yet.

commit c0d7b38e465d0f2f704c15f439e625f18122e3a3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 12 23:20:41 2012 +0100

    srd: nunchuk: Partial update to new stacking API.
    
    This is unfinished and untested, and probably does not work at all, yet.

commit 2b9837d9fc5f9b4eca52327527e18db4bfb730ff
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 12 22:49:41 2012 +0100

    srd: decoders: Rename obsolete timeoffset/duration.

commit 9a12a6e7af3d7091d8e35dd1c731402cb80a01b0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 12 22:16:26 2012 +0100

    srd: decoders: Metadata consistency fixes/updates.

commit 957da0732562da1011adb6da95614d67143a607c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 12 22:07:50 2012 +0100

    srd: i2c: Drop unneeded %s usage.

commit bf1c3f4db0ffbc05f29f81541c551c691ccd2ba7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 12 21:57:51 2012 +0100

    srd: i2c: Use short-form if-else Python idiom.

commit eb7082c98efad727d88e3ebeadcd496fa948475b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 12 21:43:19 2012 +0100

    srd: Decoders: Cosmetics and whitespace fixes.
    
     - Remove superfluous whitespace.
    
     - Add URLs and more info.
    
     - Consistently use ' instead of " for Python strings.

commit 56202222ed83ff030239bb23be8296574674c4f7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 11 00:52:54 2012 +0100

    srd: Drop duplicate SRD_ prefix from ANN/PROTO.
    
    Using srd.SRD_OUTPUT_ANN is unneeded, srd.OUTPUT_ANN is better/shorter.

commit d0e93c76e381eff58ca23949301f781b24ba4a8b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 22:12:46 2012 +0100

    srd: Drop useless out_ann/out_proto init.
    
    If those variables are used before start() was called, that's a bug anyway.

commit 677d597b072c0a1d2df81c5c193cd3678aef8d03
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 21:10:23 2012 +0100

    srd: Use 'import sigrokdecode as srd' for brevity.

commit e97b6ef569f73e387b2597dfa144c01838c0e27c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 21:05:09 2012 +0100

    srd: annotation -> annotations.
    
    In the PDs (Python code), the 'annotation' variable/attribute is a list
    of annotation formats. Use the plural 'annotations' as we do for other
    lists such as 'inputs', 'outputs', 'probes', 'options', and so on.

commit 94d43b37bd34263f5ed9f7135aac5fe7413c7f07
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 20:44:22 2012 +0100

    srd: Finish consistency rename to ANN/PROTO.

commit 6b741b128c9838d2c417e56a6e8b5d377467a3ff
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 20:43:52 2012 +0100

    srd: Fix typo in Makefile.am.

commit 42a85ed0aed14216232ae48af1b5b709ec31f800
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 20:00:25 2012 +0100

    srd: Minor doxygen cosmetics.

commit 5cc2d7bbc075ef6048bd5cd4e36533e874efb6a7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 02:37:44 2012 +0100

    srd: Add Panasonic PAN1321 decoder (on top of UART).
    
    This is just a first prototype implementation, it's not finished at all.

commit 7cf79452a87317fe79895302e86ef016b1173ac8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 02:16:53 2012 +0100

    srd: self.add: Use sigrokdecode.SRD_OUTPUT_*.

commit c9b24fc3d2f8c84338f07239edc1d4850164ae0c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 02:11:50 2012 +0100

    srd: output_{protocol,annotation} -> out_{proto,ann}.

commit 2fd89a85c4a1131ca259d794a43b26b8bd84b6a0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 10 02:06:31 2012 +0100

    srd: s/output_new/add/ for all decoders.

commit 7ce7775cb5a4e97264df62f43315d32504602072
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Jan 10 00:25:16 2012 +0100

    Stacked protocol decoders implementation.
    
    The DDC decoder takes input from the I2C PD.

commit b231546d63396fd6cac381b12b99caf07687e7e3
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 9 00:13:03 2012 +0100

    code cleanup

commit f9a3947a7a8d884de6c55693b216f89b1d27d979
Author: Bert Vermeulen <bert@biot.com>
Date:   Mon Jan 9 00:12:19 2012 +0100

    srd: change output_new() API call to add()

commit 84b81f1df5a51285e55d808fdfb7968cd70711e9
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 8 20:01:53 2012 +0100

    i2c: fix address handling

commit 983cb0f5b49167328864d0878148a7407becd1c0
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Jan 8 03:20:12 2012 +0100

    pass PD output to the calling frontend, simple annotation viewer in CLI.

commit 61132abd40fb2a69beb1873fa079f1a93a4d6534
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 7 22:06:28 2012 +0100

    srd: UART: Define an output format and document it.
    
    This is a first attempt, might not be finished or finalized.

commit 5cc4b6a07ccd2fc907650319c7fd6fbd160b6b85
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 7 21:06:16 2012 +0100

    srd: UART: Add more aliases, report invalid bits.

commit 1bb57ab8b3f108aff2cf83cd7dba3744050ec195
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 7 18:57:47 2012 +0100

    srd: UART: Update to new PD annotation API.

commit a565c12819a428b92ea4808114698c5997105e3e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 7 18:42:53 2012 +0100

    srd: UART: Drop 'quick_hack' stuff.

commit 47bd8ddead2ae35b209839255740e3f81ce4b8bc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 7 17:14:08 2012 +0100

    srd: Add SRD_ERR_BUG.

commit a9f9cab363a8a816f056fdf87b034491b61daea5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 7 14:15:10 2012 +0100

    More .gitignore files cleanup.

commit 3e2a9de2adfc73a640fa352fdc1ebc804fc98a69
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Jan 7 04:18:16 2012 +0100

    expose SRD_OUTPUT_* as symbols in the sigrokdecode module.

commit 0ee4dd54ce134158cd2068866ddc7d32c692d457
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Jan 7 03:59:16 2012 +0100

    Decoder.output_new() now takes an extra protocol_id argument.

commit f9afa08467a7a11317f0e40145091a5945a54eda
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Jan 7 03:42:26 2012 +0100

    check before calling PyObject_GetAttrString(): this throws an exception.

commit 159699490ea4bf2495e99dcd5fb18b240d7499df
Author: Bert Vermeulen <bert@biot.com>
Date:   Sat Jan 7 02:50:14 2012 +0100

    convert data coming in from a PD to C structs
    
    This is in preparation for passing annotation data back to the calling
    frontend, and python data up to the next protocol in the stack.

commit 721501bf4267db27bd6b848c8a0d4b5016b1f1c0
Author: Renato Caldas <rmsc@fe.up.pt>
Date:   Fri Jan 6 11:07:37 2012 +0000

    Added "autostuff" to the .gitignore.

commit c66baa8cbe1d5f0b6d6c4fb8cbe8ca05fcdf7763
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 5 21:07:23 2012 +0100

    srd: We use 0/1 instead of False/True at the moment.

commit 958f394e13a2f34f3451e10ec0a85743d6cde70a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 5 20:58:52 2012 +0100

    srd: Update mx25lxx05d.py to new API.

commit 1f24514c0e276d2844657925e4e423be5297cd2a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 5 20:56:59 2012 +0100

    srd: Update nunchuk decoder to new API.

commit f9b3b245bce5c8bf6fa63005dcc823904bba0ca8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 5 20:50:37 2012 +0100

    srd: Update transitioncounter to the new API.

commit ea42f53ece1b82434ba6f5f43e23560b81c102bc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 5 20:26:54 2012 +0100

    srd: Update USB decoder to the new API.

commit 6b5b91d27aba833af9804bdf9b755790931d2800
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 5 19:00:27 2012 +0100

    srd: Update the SPI decoder to the new API.

commit 29ed0f4c0632530cc6a3dcd723a007927e48701b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 5 16:27:15 2012 +0100

    srd: Convert UART decoder to new API.

commit b67eb0bd213b5259ae4a6f002022e5cab8b149b7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 5 16:01:25 2012 +0100

    srd: Small Python detection fixes.

commit 631b080a4122fa9a059b9ea51333497c22ffb1f9
Author: Renato Caldas <rmsc@fe.up.pt>
Date:   Thu Jan 5 14:27:13 2012 +0000

    configure.ac: fixed python3-config detection.

commit bc5f5a434e148db1843be7b02b95a35d21237702
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Jan 5 03:31:36 2012 +0100

    new srd_logic type implementation for PDs to iterate over.

commit 81eb8e80eaf8ddc74f37afd43aae87d9abb9d6af
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 4 15:26:41 2012 +0100

    A few more fixes for configure.ac files.
    
    Add missing checks and quotes, remove superfluous checks, etc.

commit d32ed3bc6ffb2695a597ce09b38a6485023ab6d3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 4 02:50:26 2012 +0100

    sr/srd: Add Doxyfile to the tarball.

commit aa56f7ad4f6238fd994b37bf61ba0efa052c14d5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 4 02:41:33 2012 +0100

    srd: Show config summary, libs, and Python info.

commit a101c52f7651995196a77cb94da65a02583bb1f1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 4 00:44:02 2012 +0100

    srd: configure.ac: Fix version number magic.

commit 087d133da974eff5c74322a0c08b5f91d97c3462
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 21:55:48 2012 +0100

    Put most autotools files into autostuff/.
    
    This yields a slightly more "tidy" top-level directory.

commit 71071bcfd36bed13b110931a6cc8189a1493dd2a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 20:26:29 2012 +0100

    srd: Remove decode() docstrings.
    
    This info is in the decoder's metadata, where the frontends can get it
    from programmatically anyway.

commit 066e65a3a60ef5836d9e75b8dffeb55a152efe4d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 20:08:18 2012 +0100

    srd: Put files into .../share/libsigrokdecode.

commit 73191416cc24884ffab5f21cc3405c7757884fba
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 19:56:01 2012 +0100

    sr/srd: Fix left-over #includes.
    
    The libs themselves should use #include "sigrok.h" etc., while the
    frontends must use #include <sigrok.h> and so on.

commit fb53ee5e242be7781b0d34a7d006c630095bcb72
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 19:36:30 2012 +0100

    srd: *.py: Remove one incorrect ord() call.
    
    While 'data' is of type 'bytes', 'data[0]' for example is of type 'int',
    thus the ord() there is neither needed nor correct anymore (yields an error).

commit f6555179b242357f9c75b1f6178537de2001cd98
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 19:30:17 2012 +0100

    srd: Quick hack to make nunchuk.py work again.

commit f90fe506f8480047a3ba23a2bc99066fa2d208f0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 19:17:01 2012 +0100

    srd: Quick hack to make mx25lxx05d.py work again.
    
    In Python 3 there's no xrange() anymore, only range().

commit 862f6f270752e93fdd172a0e3d460349890ef191
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 19:13:48 2012 +0100

    srd: Quick hack to make transitioncounter.py work again.

commit b327337fcc92b9e6e8703ded4caa61cb8734534a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 18:33:43 2012 +0100

    srd: Quick hack to make the USB decoder work again.

commit ffe880e79ccd98de803706e0a02c0df2574e29ee
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 18:32:08 2012 +0100

    srd: Quick hack to make the SPI decoder work again.
    
    Since Python 3 there are some explicit int() casts needed.

commit 2642062273901c87e7eee597c96cab6a606ec104
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jan 3 17:47:55 2012 +0100

    srd: Quick hack to make the UART decoder work again.

commit 084f0f94deedb52ced0c96590a621339973eb7a7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 2 14:23:15 2012 +0100

    srd: configure.ac: Add comment.

commit 804404fc6d9393e4169c64f47c5adefaefb61480
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Dec 30 22:38:25 2011 +0100

    Split README, add appropriate ones per-project.

commit 2891e1bc35f9e3dd1faaa60484d5ddd774f80028
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Dec 30 10:50:00 2011 +0100

    sr/srd: Remove/fix non-applicable autotools stuff.

commit a190e97997d091a6a1ff53d4f50ce6eae26ab9ae
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Dec 30 10:42:39 2011 +0100

    sr/srd: Move some files to their resp. dirs.

commit 81fc8c6bdea80ea4abf6ed636f88bf5e93b26420
Author: Kristoffer Sjöberg <ksjoberg@q1.se>
Date:   Wed Dec 28 15:14:31 2011 +0100

    Fix utf8 encoding error by changing the Python parameter to a bytes() object (python3 regression).

commit 8b4bbd2a0bcfdc2e186b345de087f23b9c904080
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 28 13:40:23 2011 +0100

    better python memory management

commit 5f802ec6473029e89d2db9cbd71cf0ce86a1b653
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Dec 27 22:15:53 2011 +0100

    python 3 port

commit 1aef2f93a29f01168c04fd0478b29af290d8756b
Author: Bert Vermeulen <bert@biot.com>
Date:   Thu Dec 15 03:31:31 2011 +0100

    make time/duration work, at least when loading from a session file
    
    PD decode() call now takes 3 arguments: timeoffset, duration, data
    as per the current API specification.

commit e508088229e96423854ba6db63084c9bb18eeb34
Author: Bert Vermeulen <bert@biot.com>
Date:   Wed Dec 7 09:56:49 2011 +0100

    new dynamic output stream registration code, not finished.

commit a62186e44c606a8d4cb45b3d8c3cc9fa6a5038ea
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 21 19:09:46 2011 +0100

    srd: SRD_ERR_ARGS -> SRD_ERR_ARG.
    
    This is done to be consistent with libsigrok's SR_ERR_ARG (nicer that way).

commit 43c0a640533331c45ed1b46725524773085de99e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 21 18:57:04 2011 +0100

    srd: Add logging framework.
    
    This includes the (private) functions srd_err() and friends, the
    (public) SRD_LOG_ERR macros and friends, and the (public) API functions
    srd_set_loglevel() and srd_get_loglevel().

commit 1b1c914fe5c1b88db6e0b8e49bee896428d483cb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Dec 17 17:29:10 2011 +0100

    srd: Add MX25Lxx05D SPI chip decoder.
    
    Work in progress, not yet fully functional.

commit bffd9bc09c76aa2189f89e76fd4a0aa314418193
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Dec 10 16:57:16 2011 +0100

    srd: nunchuk: Make states global.

commit e9de9c90da6bd8c6a2314fb68f37cefc0a480926
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Dec 10 16:54:47 2011 +0100

    srd: decoders: Don't use problematic and/or construct.

commit 5b6b4f7759cf726bbfc00bd30b2e02cdea33cc6d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 7 19:45:40 2011 +0100

    srd: UART: Simplify a code snippet.

commit 6efe1e1106bd648705f6f704ed2f267c86035dac
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 7 19:43:24 2011 +0100

    srd: UART: Add some protocol documentation.

commit f44d2db2a027857bdfbfc18e40b9900cad1b0e1d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 7 02:03:25 2011 +0100

    srd: Add initial UART decoder.
    
    Works with any baudrate, number of bits, parity types, number of stop
    bits and so on, in theory. Not all options are fully implemented or
    tested though. Various TODOs remain.

commit 6547acfda9913a8856e2c875dc3f340570d80583
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Mon Dec 5 20:31:32 2011 +1300

    srd: Initialise struct members by name. Minor other fixes.
    
    Restored some prototypes in sigrokdecode.h.
    Abort sigrok-cli on error while decoding (includes KeyboardInterrupt).
    Fixed passing metadata to Decoder.start() method.

commit 09b0acbb8dd292794e7fc797352cda47c27a1355
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Dec 4 23:36:52 2011 +0100

    srd: Bring back the 'id' field and use it.

commit 1c8ac5bf07e0ded582234c9ef50ba10f042bae52
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Dec 4 20:59:56 2011 +0100

    srd: Update decoders to changed API.

commit b2c19614a6c4eaa0170971d1261a1bb25212e277
Author: Bert Vermeulen <bert@biot.com>
Date:   Sun Dec 4 10:33:02 2011 +0100

    refactored PD framework, now using new sigrok.Decoder object
    
    This uses the new python unified type/class object API to construct
    an object for PDs to subclass. The sigrok.Decoder class has a method
    put() which is implemented as a C function, and receives the PD's
    object instance as its first parameter.

commit 2b7d0e2bf5147025e9d76d14e266b9905503b957
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Fri Dec 2 06:44:42 2011 +1300

    srd: Changed nunchuk and transitioncounter to new registraion api.

commit 67e847fd2185aa5677954dceacf3c279d7a68af1
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Thu Dec 1 23:09:40 2011 +1300

    srd: PDs now explicitly register with sigrok module.

commit 400f9ae7ff16bb611d758d75ff4931b667561b11
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Dec 1 11:04:35 2011 +0100

    srd: i2c.py: States are global, not per-instance.

commit 9611dc5f8b88f0dc43fbb00a91d1222ee720d2b6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 30 23:14:19 2011 +0100

    srd: srd_usb.py: Cosmetics, white-space fixes.

commit 16ba97cf2252bc9543f70a0cf3e7d4b2ec6e7ee1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 30 00:19:16 2011 +0100

    srd: nunchuk.py: Add some more URLs.

commit 03325c23133175d4d1ea86b361c92b8cb12b1b36
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Tue Nov 29 23:50:32 2011 +1300

    srd: Added USB full-speed decoder.

commit 012cfd0d620a42165e964c9443bbcde1e4d24b6d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Nov 28 21:46:55 2011 +0100

    srd: nunchuk.py: Convert to new decoder API.
    
    This is not really finished, or tested, or working. It's also a decoder
    which stacks on top of the I2C decoder, and the infrastructure for
    stacking decoders is not yet usable.

commit 60b928b2c9d3fa31f42c25613f2f07bc9e44fff5
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Mon Nov 28 22:54:18 2011 +1300

    srd: Moved instance list to libsigrokdecode.
    
    Functions changed to srd_session_start() to initialise the session,
    and srd_session_feed() to feed sample data to the decoders.

commit 73e542a4611411411a6df4843d62576e25ddeb7c
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Mon Nov 28 21:52:35 2011 +1300

    srd: Pass samplerate to decoder in metadata.

commit 4e338c00bda2e81210bf7569f29b77999a1d2bfb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 27 22:27:36 2011 +0100

    decoders: Drop psyco stuff, seems obsolete.
    
    The psyco module seems to be mostly unmaintained at this point, it does
    not support Python 2.7 or higher at all, it only supports x86, it doesn't
    support 64 bit systems at all, etc. etc.
    
    We should try to find other ways to optimize our decoders for speed.

commit e100d51ec0909db8f93c837ea1fd92a08461b781
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 27 22:17:54 2011 +0100

    srd: Python: Consistently use single quotes for strings.

commit c4262fd6b2f8ef540b8cc93ac61956d89062d2be
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 27 22:12:37 2011 +0100

    srd: i2c.py: Docstrings should use """.
    
    This is the most commonly used and recommended method for docstrings.

commit 5dd9af5bdc48c0b90512b2782bad893f76ee4a0b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 27 21:51:39 2011 +0100

    srd: i2c.py: Mark Repeated Start condition as 'Sr'.

commit 7b86f0bc7a0009e928e4bcc250c3e0cc12dda7ac
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 27 20:17:49 2011 +0100

    srd: i2c.py: Rework I2C decoder.
    
    This should be working OK for most use-cases now, though there certainly
    are a few TODOs left. The output format is just a quick hack and will
    change.

commit 3643fc3fe053bf531b4a7618d02c3d92c29f924b
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Sun Nov 27 19:17:13 2011 +1300

    srd: Pass metadata to decoders only on SR_DF_HEADER.
    
    Before this was passed to the decoder's constuctor, but the parameters
    may not all be known at construction.  Decoders now have a method start()
    which is called at the start of the capture, and metadata is passed as
    an arg to this function.

commit f39d2404acb54461f61b676ab164d42e9e76e3fa
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Nov 24 09:35:26 2011 +0100

    srd: i2c.py: Convert to new API (unfinished).
    
    This decoder is probably not fully converted yet, and doesn't really
    successfully decode I2C, yet. It's work in progress.

commit 4be5b85eed190fd0a57b0c23ae706ec37ed1dfe5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Nov 24 01:24:46 2011 +0100

    srd: Comment out debug line for now.

commit b41ae47fa350bc0b6c81f0411cc12b9741a7e4e0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 23 23:08:39 2011 +0100

    transitioncounter.py: Convert to new API.
    
    This is still work-in-progress, but at least it runs and outputs stuff now.

commit 81370309fbf8453b19c8ddfa09ed65064fd72c6e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 23 23:05:01 2011 +0100

    nunchuk.py: Fix indentation (syntax error).

commit ad2dc0de10ac5c2c6c3aacff0b2835cd4dc22578
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 23 16:15:55 2011 +0100

    Decoders: Use 4 spaces for indentation as per PEP-8.

commit 0d1cf0f842116f852ada53c25a2579437622859e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 23 09:17:48 2011 +0100

    srd: decode.c: Improve error handling a bit.

commit 261d65327fa3a70b06d7e5b05c03c44cbb3b7eac
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 23 09:09:30 2011 +0100

    srd: decode.c: Add/fix comments and coding-style.

commit c75080f0d84de5f2aa73472ad4d6cf32aaeba88e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 23 08:56:44 2011 +0100

    srd: Doxygen comments for srd_init() and srd_exit().

commit f97f531c2d31b729afbf1c97a0d017526bf8e52a
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Sun Nov 20 18:39:50 2011 +1300

    libsigrokdecode: Allow frontend to configure decoder probes.

commit 74911b4c1f6d184dac878d94992d480af0564734
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Sun Nov 20 16:30:38 2011 +1300

    libsigrokdecode: Allow multiple PD instances.
    
    There is currently no way to configure options or probes, so they'll
    always be the same, but it's a start.

commit 6eb875784c96db52e962f40df24035c31c5be738
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Sun Nov 20 13:07:44 2011 +1300

    libsigrokdecode: Move decoder metadata into Decoder object.

commit 052f32eee3b5e2f850f529c003bc90ef0bb88cc9
Author: Gareth McMullin <gareth@blacksphere.co.nz>
Date:   Tue Nov 15 18:47:15 2011 +1300

    Simplified code for calling Python decode method.

commit 3b24e3781a0374ce2d66f1d3de59a5a5d10d657a
Author: Kristoffer Sjöberg <ksjoberg@q1.se>
Date:   Mon Nov 14 10:07:29 2011 +0100

    Add support for OO based PDs.

commit 9d29ffadbe10efe400b1ced74636b8ee203f1e48
Author: Kristoffer Sjöberg <ksjoberg@q1.se>
Date:   Sun Nov 13 03:11:40 2011 +0100

    Pass multiple samples to the protocol decoder and adapt transitioncounter.py to work with this.

commit 71a133c83c0df02d8c016ec8c192f070ad8a37fd
Author: Kristoffer Sjöberg <ksjoberg@q1.se>
Date:   Sun Nov 13 00:27:58 2011 +0100

    Update transitioncounter.py to the streaming PD API.

commit 922763abc279fc5d4e0ed93ed6c6bebbf68d7baf
Author: Kristoffer Sjöberg <ksjoberg@q1.se>
Date:   Sat Nov 12 23:42:52 2011 +0100

    Partial implementation of the streaming PD API.

commit 7c3d8112204315d717b85bc4c71ecbf3ccf54f51
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Nov 19 18:10:32 2011 +0100

    libsigrokdecode.pc.in: Add missing @CPPFLAGS_PYTHON@.

commit 13f95f7392e87e4b1846266ecee68d75dd3c3453
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Nov 17 22:42:30 2011 +0100

    libsigrokdecode.pc: Add glib + Python.

commit f7b07643a758affd60c8ff0f6b1661faf9e5d5f7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 3 23:18:46 2011 +0200

    Revert temporary changes for 0.2 release.

commit a5ec180ff8b7d91d4b96b4e7469424622dfe9234
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 3 22:38:35 2011 +0200

    Disable some stuff which should not be in 0.2.
    
    Disable decoders, disable lib building.

commit e36d7343ffed4be56b0bbc278aee26671c9990a5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 3 19:48:09 2011 +0200

    Decoders: s/dist_pkgdata_SCRIPTS/dist_pkgdata_DATA/.
    
    The .py decoder files are not technically scripts and should not be
    executable and can not be invoked on the command line
    (via ./foo.py --help or similar).

commit a0d4825744bd5bc2cd18a51e8339faf11b9d87c4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Feb 22 23:12:41 2011 +0100

    Make some more items 'static'.

commit 775dda7af58ad9a6bb45ef05634bed59497bb305
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 9 00:01:02 2011 +0100

    sigrokdecode.h: More doxygen-friendly comments.

commit f430ac36e41823b96552ae0dccd4a7970ecf5782
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Feb 8 23:46:29 2011 +0100

    Doxygen config files: Initial configuration.

commit 58d1fb8f967468abdbf58cd85e967c6d94043295
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Feb 8 23:00:49 2011 +0100

    Add doxygen config files for both libs.

commit 75a282e54f566cb6bc9b684dd1bf63d7e36a68b3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 6 17:36:32 2011 +0100

    struct srd_decoder: Add more string fields.
    
    Get the following string fields from the .py decoders' register()
    function and store them in the respective 'struct srd_decoder':
    
     - longname
     - longdesc
     - author
     - email
     - license

commit 4ed59136f8033c2cb745302bfd42d359c541e64b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 6 17:29:44 2011 +0100

    Python decoders: Add more metadata.
    
    Make the list of metadata info match the spec in the wiki more closely.

commit 959933226cb93b87d3c07c01c8af63840200671e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Feb 4 20:11:17 2011 +0100

    Revert FIRMWARE_DIR / DECODERS_DIR method for now.
    
    There were several issues with the other method, revert for now.

commit 17830fe1a2445c109761a5f50aa9f6d665157cd0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Feb 2 10:25:52 2011 +0100

    Fix build when no libusb-LA is compiled.
    
    Until now the build would break if the user doesn't enable at least one
    of the libusb1.0-based LAs. I.e., you could not compile only OLS, or
    only the demo driver.

commit 7ea73e33f50211a1b3df6556f6fcfcbab6c36735
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 30 19:22:13 2011 +0100

    Consistently use _exit prefix for functions.

commit d752b12b7d6f5795e82aa43b395247a82be54670
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 29 15:41:39 2011 +0100

    Change SIGROKDECODE_ prefix to SRD_.
    
    Do the same for sigrokdecode_ -> srd_ in struct names and function names.

commit f9b54a6ca92f1d1532237db0439fc772789f3718
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 28 00:56:46 2011 +0100

    Properly free all memory upon sigrokdecode_shutdown().

commit 53bec0cfaef9ce8c646deee7d9ba6340137713a1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 28 00:11:00 2011 +0100

    libsigrokdecode: Always load all decoders upon init.
    
    Let sigrokdecode_init() always load all decoders it can find in the
    decoders directory, i.e., the user doesn't need to manually load decoders.
    Instead he can just look up the list via sigrokdecode_list_decoders()
    after sigrokdecode_init() has run.
    
    This is not a problem, as sigrokdecode_init() is only run once per
    sigrok-cli or sigrok-gui invocation, and even with many decoders this
    should not take too long.
    
    The list of decoders within libsigrokdecode is no longer a string, but
    rather a list of 'struct sigrokdecode_decoder *' pointers.
    
    Add sigrokdecode_get_decoder_by_id() API function which returns the
    decoder with the specified ID (file name without ".py" suffix, for now),
    or NULL if it cannot be found.
    
    sigrokdecode_load_decoder() is now a private function and not exported
    via the lib, i.e. not available to users of libsigrokdecode.

commit 76672e26c961d3161b7e67e47d46d0264c9f5c04
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 23:17:47 2011 +0100

    Fix some compiler warnings.

commit c7bb5dff3a5259ce7e59db7932580173462b00a1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 23:12:34 2011 +0100

    decode.c: Simplify the import code.
    
    Use PyImport_ImportModule() instead of PyImport_Import(), so we don't
    have to temporarily create a py_name object.

commit f7313eeaf3b64fafa792a225a2b70c745e8d5cc6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 23:02:39 2011 +0100

    Some more simplifications in decode.c.

commit 2557ad9d2de490cab14ae0b3a197de2b1c7f9f21
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 22:53:29 2011 +0100

    Use Py_XINCREF/Py_XDECREF, not Py_INCREF/Py_DECREF.
    
    They're defined like this in Python.h:
    
      /* Macros to use in case the object pointer may be NULL: */
      #define Py_XINCREF(op) if ((op) == NULL) ; else Py_INCREF(op)
      #define Py_XDECREF(op) if ((op) == NULL) ; else Py_DECREF(op)
    
    I.e., the performance penalty we take by using Py_XINCREF/Py_XDECREF is
    pretty much non-existant.

commit 036e6f672169c63fb304f3842667e3a09879b512
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 22:50:57 2011 +0100

    decode.c: Simplify sigrokdecode_run_decoder().

commit 4fa17efc0be6542055476bd7764fc04391bc652d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 22:13:08 2011 +0100

    Bugfix: Add missing Py_INCREF()s.
    
    This should fix an error/segfault when running a decoder on bigger
    datasets.

commit 6b08da24ec79989565e5417cf111a243073cd2fd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 21:07:40 2011 +0100

    decode.c: Better documentation.
    
    Mark all Python/C API functions returning a new reference with "NEWREF",
    and those that steal references with "STEAL".

commit 3a9a7e38cc74b4da07b03fafbc6674a20510d79e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 20:57:09 2011 +0100

    decode.c: Fix typos.

commit f800adc478591cff0a462ae51af105eebfb7a9f4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 27 20:56:39 2011 +0100

    Bugfix: PyTuple_SetItem() "steals" a reference.

commit d842aebec31fd21fe0803cb9504ded698f6c1457
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 24 00:24:27 2011 +0100

    configure.ac: Fix firmware/decoders dir variables.
    
    FIRMWARE_DIR and DECODERS_DIR as defined in config.h need some magic applied
    to resolve the $prefix/$data variable to an absolute path.

commit 7492a27a7873120d28e4cabf3abad28204ff8844
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 23 19:53:50 2011 +0100

    Introduce proper libtool versioning for the libs.

commit 253f9603f8d022b2a948be0f2f572f5281f1b4e6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 20 23:00:59 2011 +0100

    lib headers: Add 'extern "C"' for C++ usage.

commit 81c9bc4448af804376f86cb3373ced99414071a9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 20 00:39:59 2011 +0100

    Re-enable stuff we temporarily disabled for 0.1.

commit 17891ce2b00e2bea78f66c56a141ae8512a838df
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 19 22:32:00 2011 +0100

    Disable decoders and session CLI options for 0.1.

commit 0a746957146a36a5450a9918acb511eae95e9a04
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jan 19 19:20:44 2011 +0100

    Don't install libs and headers in the 0.1 release.
    
    The library APIs are not yet usable or finalized, so don't expose the
    libs for now. Instead, only install sigrok-cli, the manpages, and
    the decoders.

commit 104260684195431f4023acad96ba37787a14a6ab
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 15 04:26:07 2011 +0100

    libsigrokdecode fix to handle unusual dirnames.
    
    Windows paths such as c:\... and/or those with spaces in them were
    problematic.

commit 0895f56aa091fabc4761862f43020b53396ed9d5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 15 03:30:26 2011 +0100

    Only load decoders from $(datadir)/sigrok/decoders.
    
    Drop convenience locations which were supposed to allow running
    ./cli/sigrok-cli in the build directory. That will not really work fine
    due to some other reasons. We only support running sigrok-cli after an
    installation (into /usr/local or /opt or $HOME/sigrokinst or whatever).

commit 5b05904dc5dd1182fdf381b66fbc4a7ad97e37aa
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 15 03:07:00 2011 +0100

    Don't print .py suffix in protocol decoder names.

commit 276b55eb6e4308cfaf6b18b457f514b2f9409cc5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 15 03:00:15 2011 +0100

    Bugfix: Use only .py decoders, ignore .pyc files.

commit 871d21e2555c345350ec951f1639b4a75dbd4fea
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 15 02:37:51 2011 +0100

    Don't expose libsigrokdecode's interal GSList.
    
    Instead, add a libsigrokdecode_list_decoders() API call which gives you
    the list of known protocol decoders.

commit f301bde35eda4b33218d947243da33ef11d52d47
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 15 02:32:03 2011 +0100

    Install decoders into a decoders/ subdir.
    
    Use $(datadir)/sigrok/decoders as subdirectory for the protocol decoders
    (instead of installing them in the top-level $(datadir)/sigrok), just
    as we do for $(datadir)/sigrok/firmware.

commit 7c24d086f1c81fd23fd93e5702c6f46a36f3d3f6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 15 01:44:41 2011 +0100

    CLI: Support for running protocol decoders.
    
    Add a new -A | --list-protocol-decoders option to show the list of
    protocol decoders we could find.
    
    Add -a | --protocol-decoders to specify a list of decoders that shall
    be applied to the datastream. Currently only works for one decoder.
    
    Define DECODERS_DIR, which is the directory where the decoders will be
    installed upon 'make install', and where libsigrokdecode_init() will
    search for them.
    
    Thanks Olivier Fauchon <olivier@aixmarseille.com> for the initial patch,
    merged in slightly different form.

commit 9c93add5aeca95c568afab7fe249c0586d8dec6b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jan 10 23:27:15 2011 +0100

    Rename the scripts/ directory to decoders/.

commit e6c7a826d9617bafb24ac05e05cd8e1e7ad1f9cc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 8 17:00:18 2011 +0100

    Fix compile for Python >= 3.0.
    
    Python docs tells us more about string functions:
    "These functions have been renamed to PyBytes_* in Python 3.x. Unless
    otherwise noted, the PyBytes functions available in 3.x are aliased to
    their PyString_* equivalents to help porting."
    (http://docs.python.org/c-api/string.html)
    
    Use #defines to map the new names and fix the compile for Python >= 3.0.
    
    Thanks Olivier Fauchon <olivier@aixmarseille.com> for the patch.

commit 70e44845f0138666d78fc2a13acc4e37fc63c4f9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 14 12:50:01 2010 +0200

    libsigrokdecode: Use SIGROKDECODE_OK.

commit 0862329b41482ce690e868a99db75e8830bf9877
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 11 21:55:35 2010 +0200

    pkg-config: Add libsigrokdecode.pc.

commit 32e4aea0f87b0d3d4f8e37516edddc19f6f36889
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 11 17:16:38 2010 +0200

    Use CLEANFILES instead of extra target.

commit e7eac430fcd764fa72e3b2d06d00718fbdff0a11
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 9 21:07:03 2010 +0200

    scripts: Add clean-local target for *.pyc.

commit 9a67ccfdbed90fdb47232708b143ffbf403b2e80
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 4 23:19:31 2010 +0200

    I2C: Convert output to more usable format.

commit 15167916e6e9d88b2b421c3ce2a80f7b29f25ce0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 27 23:18:05 2010 +0200

    i2c.py: Fix typo resulting in a nonworking script.

commit cd0fc8c53f8f2d61375da310b924825f0bddc549
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 27 23:13:45 2010 +0200

    Add Python decoder for the Wii Nunchuk.
    
    Untested, unfinished.

commit 23fb2e12078a679b737aa3ec128b8af3a7923692
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 24 16:52:55 2010 +0200

    I2C decoder format draft (unfinished).

commit a156f09eac00be0f6d8beaeadef77b03077ab7b1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 24 01:33:52 2010 +0200

    Various small decoder script fixes.

commit 87f03ae9f2bf5df0e671881b679b25feccbe2fde
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 24 01:12:09 2010 +0200

    dist_pkgdata_SCRIPTS: Add i2c.py.

commit 5c55017c401002c18b1d43dad61200df17ab3321
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 24 01:04:20 2010 +0200

    Various Python decoder infrastructure improvements.
    
     - Introduce 'struct sigrokdecode_decoder'.
    
     - Decoders are now handled via two C functions:
       - sigrokdecode_load_decoder(): Fills a 'struct sigrokdecode_decoder'.
       - sigrokdecode_run_decoder(): Runs a decoder function.
    
     - There are now two decoder API functions a script needs to implement:
       - register(): Returns a Python dict with certain metadata.
       - decode(): Runs the actual decoder code.
    
     - libsigrokdecode: Add and use some more #defines for errors:
       - SIGROKDECODE_ERR_ARGS
       - SIGROKDECODE_ERR_PYTHON
    
     - Various other smaller Python decode script infrastructure issues.

commit 31b82285e5ca1fbd6a33eaaaa95bf83862b69eb1
Author: unknown <Uwe@.(none)>
Date:   Fri Apr 23 18:49:17 2010 +0200

    sigrokdecode.h: Add struct sigrokdecode_decoder_info.

commit 23a13b21b38211c73cbe0418a88060f0586cc065
Author: unknown <Uwe@.(none)>
Date:   Fri Apr 23 18:47:43 2010 +0200

    Rename sigrokdecode_register_i2c() to register().

commit 6fe63193b0ff900335b791aba8099ab44f7b0c8a
Author: unknown <Uwe@.(none)>
Date:   Fri Apr 23 18:46:36 2010 +0200

    transitioncounter: Add register() function.

commit 2b45dd716c3f27a62d163de7ec12f6c225ef4e39
Author: unknown <Uwe@.(none)>
Date:   Fri Apr 23 18:06:22 2010 +0200

    sigrokdecode_run_decoder(): Pass in the module name.

commit 33e72c5440ab5973bcb99b5c133e0cdcf15636e8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Apr 21 20:31:10 2010 +0200

    Python: Use "enums" as states, not strings.
    
    Also, fix a typo.

commit 930bd9d961b9a13259ffb4997be9fa6ebcdb9da9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 18 03:15:06 2010 +0200

    Python: Bugfixes (True/False != 1/0).

commit a5fdab452f682e50cc05d6f392f750473fd93e78
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 18 02:02:35 2010 +0200

    Python: Use range instead of xrange.
    
    For small numbers range seems to be faster, and xramge is being removed
    anyway in Python 3 AFAIK.

commit 2454527da4eeb27683f64ffdc3311d4ac00b3a04
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 18 01:58:45 2010 +0200

    sigrokdecode_init: Add more Python search paths.

commit c11d3c15af2e3ebd04af9326a5f95f9b212f6a8d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 18 01:54:49 2010 +0200

    transitioncounter.py: Simplify and optimize a bit.

commit 3cf4ed56626bf1b775d38e3b582bae2c607d44b2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Apr 15 20:07:16 2010 +0200

    libsigrok: Coding style fixes.

commit 887d6cfa6a924254a9a96a3cc704e6189a53b944
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Apr 12 19:42:35 2010 +0200

    Use psyco (if available) to improve performance.

commit 0588ed702725edbb5ed37ceb63fced93a5e68251
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 11 21:44:12 2010 +0200

    First attempt at an I2C decoder (untested).

commit d0f3d67746c89ee19f4c7a8d6f8858afd54347de
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 11 03:58:05 2010 +0200

    Implement a simple transition counter script.

commit 910e5fd8a73ac006bd5fa341b3f3cf3d9318b4f0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Apr 9 22:18:46 2010 +0200

    Fix all warnings and re-enable -Wextra.

commit 3a72d2b31f43788996777b11bff672c0c0e76798
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 6 02:11:01 2010 +0200

    More paths to the libsigrokdecode Python scripts.

commit 3aca097f7fa3bd75693954806d64281239cad2fd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 6 02:06:55 2010 +0200

    Fix incorrect path to the Python decoder scripts.

commit a4898be72e8018462f02e117376625454974cd99
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Apr 6 01:29:32 2010 +0200

    libsigrokdecode: Add initial return code list.

commit 1c6fa20f549c0565ce4fae6ddf7d5eb60db2ddea
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Apr 2 20:18:27 2010 +0200

    Start of code base layout restructuring.
